import { __rest, __assign } from '../../../_virtual/_tslib.js';
import { jsx } from 'react/jsx-runtime';

/**
 * Primary UI component for user interaction
 */
var Button = function (_a) {
    var _b = _a.type, type = _b === void 0 ? 'primary' : _b, _c = _a.webProperty, webProperty = _c === void 0 ? 'originprotocol' : _c, _d = _a.size, size = _d === void 0 ? 'medium' : _d, backgroundColor = _a.backgroundColor, label = _a.label, props = __rest(_a, ["type", "webProperty", "size", "backgroundColor", "label"]);
    var background;
    var textColor;
    var hoverColor;
    switch (webProperty) {
        case 'originprotocol':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-origin-protocol-button-start to-origin-protocol-button-end'
                : 'bg-white';
            textColor = type === 'primary'
                ? 'text-white'
                : 'text-black';
            hoverColor = 'hover:bg-gray-50';
            break;
        case 'ousd':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-ousd-button-start to-ousd-button-end'
                : type === 'secondary'
                    ? 'bg-gradient-to-r from-ousd-button-dark-start to-ousd-button-dark-end'
                    : '';
            textColor = 'text-white';
            hoverColor = 'hover:bg-gray-900';
            break;
        case 'story':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-story-button-start to-story-button-end'
                : 'bg-white';
            textColor = type === 'primary'
                ? 'text-white'
                : 'text-story-blue';
            hoverColor = 'hover:bg-gray-50';
            break;
    }
    var textSize;
    var padding;
    switch (size) {
        case 'small':
            textSize = 'text-base';
            padding = 'px-7 py-1';
            break;
        case 'medium':
            textSize = 'text-base';
            padding = 'px-6 py-1';
            break;
        case 'large':
            textSize = 'text-2xl';
            padding = 'py-6 px-12';
            break;
    }
    var fontWeight;
    var shadow;
    var rounding;
    switch (type) {
        case 'header':
            fontWeight = 'font-normal';
            shadow = '';
            rounding = '';
            padding = 'px-4 py-1';
            break;
        default:
            fontWeight = 'font-medium';
            shadow = 'shahdow';
            rounding = 'rounded-full';
            break;
    }
    return (jsx("button", __assign({ type: "button", className: "\n        ".concat(background, "\n        ").concat(backgroundColor, "\n        ").concat(textColor, "\n        ").concat(textSize, " \n        ").concat(padding, "\n        ").concat(fontWeight, "\n        ").concat(shadow, "\n        ").concat(rounding, "\n        ").concat(hoverColor, "\n        leading-7\n        font-sans\n        animate-gradient\n        background-gradient-oversized\n      "), style: { backgroundColor: backgroundColor } }, props, { children: label })));
};

export { Button };
//# sourceMappingURL=index.js.map
