import { __assign } from '../../../_virtual/_tslib.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { Fragment } from 'react';
import { Menu as qe } from '../../../node_modules/@headlessui/react/dist/components/menu/menu.js';
import { Transition as We } from '../../../node_modules/@headlessui/react/dist/components/transitions/transition.js';
import { DownCaret } from '../Icons.js';

function classNames() {
    var classes = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        classes[_i] = arguments[_i];
    }
    return classes.filter(Boolean).join(' ');
}
var SINGLE_COLUMN_OPTIONS_MAX = 8;
var Dropdown = function (_a) {
    var options = _a.options, label = _a.label, _b = _a.highlightText, highlightText = _b === void 0 ? '' : _b, _c = _a.alignRight, alignRight = _c === void 0 ? false : _c, _d = _a.bolding, bolding = _d === void 0 ? 'all' : _d, classes = _a.classes, style = _a.style;
    return (jsxs(qe, __assign({ as: "div", className: "relative inline-block text-left self-center ".concat(classes), style: style }, { children: [jsx("div", { children: jsxs(qe.Button, __assign({ type: "button", className: "\n            ".concat((highlightText === null || highlightText === void 0 ? void 0 : highlightText.length) > 0 ? 'pr-14 translate-x-6 md:translate-x-0' : '', "\n            transform inline-flex w-full justify-center align-middle px-4 py-2 text-base font-medium text-gray-700 hover:bg-gray-50 focus:outline-none focus:ring-offset-gray-100 font-sans\n            "), id: "menu-button", "aria-expanded": "true", "aria-haspopup": "true" }, { children: [label, jsx("span", __assign({ className: "self-center pl-2" }, { children: jsx(DownCaret, {}) }))] })) }), (highlightText === null || highlightText === void 0 ? void 0 : highlightText.length) > 0 && (jsx("div", __assign({ className: 'absolute -right-6 md:right-0 bottom-6 bg-gradient-to-r from-story-pink-start to-story-pink-end rounded text-white text-2xs py-0 px-1' }, { children: highlightText }))), jsx(We, __assign({ as: Fragment, enter: "transition ease-out duration-100", enterFrom: "transform opacity-0 scale-95", enterTo: "transform opacity-100 scale-100", leave: "transition ease-in duration-75", leaveFrom: "transform opacity-100 scale-100", leaveTo: "transform opacity-0 scale-95" }, { children: jsx(qe.Items, __assign({ className: "\n            ".concat(alignRight ? 'right-1/2 translate-x-1/2 md:right-0 md:mr-0' : 'left-1/2 -translate-x-1/2 md:left-0', " \n            ").concat(options.length > SINGLE_COLUMN_OPTIONS_MAX ? 'w-96 md:w-72 overflow-y-scroll md:overflow-auto' : 'w-40 md:w-36', "\n            transform md:translate-x-0 max-h-72 md:max-h-screen\n            absolute z-10 mt-2 origin-top-right rounded-md bg-white shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none"), role: "menu", "aria-orientation": "vertical", "aria-labelledby": "menu-button", tabIndex: -1 }, { children: jsx("div", __assign({ className: "py-1 flex flex-wrap", role: "none" }, { children: options.map(function (_a) {
                            var optionLabel = _a.label, href = _a.href, highlight = _a.highlight;
                            return (jsx(DropdownOption, { label: optionLabel, href: href, highlight: highlight, bold: bolding === 'all' || bolding === 'selection' && optionLabel === label, columns: options.length > SINGLE_COLUMN_OPTIONS_MAX ? 2 : 1 }, label));
                        }) })) })) }))] })));
};
var DropdownOption = function (_a) {
    var label = _a.label, href = _a.href, _b = _a.highlight, highlight = _b === void 0 ? false : _b, _c = _a.bold, bold = _c === void 0 ? false : _c, _d = _a.columns, columns = _d === void 0 ? 1 : _d;
    return (jsx(qe.Item, { children: function (_a) {
            var active = _a.active;
            return (jsx("a", __assign({ href: href, className: classNames(active ? 'bg-gray-100 text-gray-900' : 'text-gray-700', highlight ? 'text-story-pink' : 'text-gray-700', bold ? 'font-bold' : 'font-normal', columns === 1 ? 'w-full' : 'w-1/2', 'block px-4 py-2 text-base md:w-36', 'font-sans') }, { children: label })));
        } }));
};

export { Dropdown };
//# sourceMappingURL=index.js.map
