import { __assign } from '../../../_virtual/_tslib.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import { useState } from 'react';
import { Button } from '../Button/index.js';
import { Dropdown } from '../Dropdown/index.js';
import { LanguageOptions, ProductsOptions, OgnDropdownOptions } from './HeaderOptions.js';
import { OriginLogo } from '../Icons.js';

var OriginProtocolNav = function (_a) {
    var language = _a.language;
    return (jsxs("div", __assign({ className: 'flex flex-col md:flex-row space-y-4 md:space-y-0' }, { children: [jsx("div", __assign({ className: 'block md:hidden self-center' }, { children: jsx(Dropdown, { label: language, options: LanguageOptions, alignRight: true, bolding: 'selection' }) })), jsx(Dropdown, { label: "Products", options: ProductsOptions }), jsx(Dropdown, { label: "Company", options: ProductsOptions }), jsx(Button, { label: 'Community', type: "header", size: "small" }), jsx("div", __assign({ className: 'hidden md:block self-center' }, { children: jsx(Dropdown, { label: language, options: LanguageOptions, alignRight: true, bolding: 'selection' }) }))] })));
};
var OusdNav = function () { return (jsxs("div", __assign({ className: 'flex flex-col md:flex-row space-y-4 md:space-y-0' }, { children: [jsx(Button, { label: 'Governance', type: "header", size: "small", webProperty: 'ousd' }), jsx(Button, { label: 'Docs', type: "header", size: "small", webProperty: 'ousd' }), jsx(Button, { label: 'FAQ', type: "header", size: "small", webProperty: 'ousd' }), jsx(Button, { label: 'OGV', type: "header", size: "small", webProperty: 'ousd' }), jsx("div", __assign({ className: 'flex flex-col md:flex-row md:space-x-5 md:pl-4 items-center justify-center space-y-4 md:space-y-0' }, { children: jsx(Button, { size: "small", label: "Get OUSD", webProperty: "ousd" }) }))] }))); };
var StoryNav = function () { return (jsxs("div", __assign({ className: 'flex flex-col md:flex-row items-center justify-center space-y-4 md:space-y-0' }, { children: [jsx(Dropdown, { label: "Products", options: ProductsOptions }), jsx(Dropdown, { label: "Drops", options: ProductsOptions }), jsx(Button, { label: 'Docs', type: "header", size: "small" }), jsx(Dropdown, { label: "OGN", highlightText: "Rewards", options: OgnDropdownOptions }), jsxs("div", __assign({ className: 'flex flex-col md:flex-row md:space-x-5 md:pl-4 items-center justify-center space-y-4 md:space-y-0' }, { children: [jsx(Button, { size: "small", label: "Buy Ogn", webProperty: "story" }), jsx(Button, { size: "small", label: "Connect Wallet", webProperty: "story" })] }))] }))); };
var Hamburger = function (_a) {
    var setOpen = _a.setOpen, open = _a.open;
    return (jsxs("div", __assign({ className: "space-y-2 cursor-pointer", onClick: function () { return setOpen(!open); } }, { children: [jsx("span", { className: "block w-8 h-0.5 bg-gray-600 transform transition-transform ".concat(open ? 'rotate-45 translate-y-1.5' : '') }), jsx("span", { className: "block w-8 h-0.5 bg-gray-600 transform transition-transform ".concat(open ? '-rotate-45 -translate-y-1' : '') })] })));
};
var Header = function (_a) {
    var webProperty = _a.webProperty, language = _a.language;
    var _b = useState(false), open = _b[0], setOpen = _b[1];
    return (jsx("header", { children: jsxs("div", __assign({ className: "px-9 py-16 w-full flex justify-between items-center" }, { children: [jsx("div", __assign({ className: "flex h-6" }, { children: jsx(OriginLogo, { webProperty: webProperty }) })), jsxs("div", __assign({ className: "hidden md:block" }, { children: [webProperty === 'originprotocol' && (jsx(OriginProtocolNav, { language: language || 'English' })), webProperty === 'ousd' && (jsx(OusdNav, {})), webProperty === 'story' && (jsx(StoryNav, {}))] })), jsx("div", __assign({ className: "block md:hidden" }, { children: jsx(Hamburger, { open: open, setOpen: setOpen }) })), jsx("div", __assign({ className: "\n            ".concat(open ? 'translate-y-0' : 'translate-y-full', " \n            ").concat(webProperty === 'ousd' ? 'bg-black' : 'bg-white', " \n            transform md:hidden fixed top-0 bottom-0 right-0 left-0 transition-transform shadow\n          ") }, { children: jsx("div", __assign({ className: 'relative h-full' }, { children: jsxs("div", __assign({ className: 'flex flex-col justify-center align-middle h-full' }, { children: [jsx("div", __assign({ className: "absolute right-8 top-16" }, { children: jsx(Hamburger, { open: open, setOpen: setOpen }) })), webProperty === 'originprotocol' && (jsx(OriginProtocolNav, { language: language || 'English' })), webProperty === 'ousd' && (jsx(OusdNav, {})), webProperty === 'story' && (jsx(StoryNav, {}))] })) })) }))] })) }));
};

export { Header };
//# sourceMappingURL=index.js.map
