import { __extends, __assign } from '../../../_virtual/_tslib.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';

var GenericTypography = function (_a) {
    var children = _a.children, classes = _a.classes, styles = _a.styles, defaultAs = _a.defaultAs, as = _a.as, href = _a.href;
    var Tag = "".concat(as || defaultAs || 'span');
    if (href) {
        return (jsx("a", __assign({ href: href, target: '_blank', className: "".concat(classes), style: __assign({}, (styles || {})) }, { children: jsx(Tag, { children: children }) })));
    }
    else {
        return (jsx(Tag, __assign({ className: "".concat(classes), style: __assign({}, (styles || {})) }, { children: children })));
    }
};
var gradients = {
    'originprotocol-gradient-start': '#8C66FC',
    'originprotocol-gradient-middle': '#5C2EFF',
    'originprotocol-gradient-end': '#0274F1',
    'ousd-gradient-start': '#8C66FC',
    'ousd-gradient-middle': '#0274F1',
    'ousd-gradient-end': '#0274F1',
    'story-gradient-start': '#CB6FDE',
    'story-gradient-middle': '#5C2EFF',
    'story-gradient-end': '#0074F0',
};
var GradientText = function (_a) {
    var webProperty = _a.webProperty, text = _a.text;
    return (jsx("span", __assign({ style: {
            background: "-webkit-linear-gradient(0deg, ".concat(gradients["".concat(webProperty, "-gradient-start")], ", ").concat(gradients["".concat(webProperty, "-gradient-middle")], ", ").concat(gradients["".concat(webProperty, "-gradient-end")], ")"),
            WebkitBackgroundClip: 'text',
            WebkitTextFillColor: 'transparent',
        }, className: "font-black" }, { children: text })));
};
var Typography = /** @class */ (function (_super) {
    __extends(Typography, _super);
    function Typography() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Typography.prototype.render = function () {
        return (jsx(Typography.Body, __assign({}, this.props)));
    };
    Typography.H1 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-8xl ".concat(classes), styles: styles, as: as, defaultAs: 'h1' }, { children: children })));
    };
    Typography.H2 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-7xl ".concat(classes), styles: styles, as: as, defaultAs: 'h2' }, { children: children })));
    };
    Typography.H3 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-6xl ".concat(classes), styles: styles, as: as, defaultAs: 'h3' }, { children: children })));
    };
    Typography.H4 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-5xl ".concat(classes), styles: styles, as: as, defaultAs: 'h4' }, { children: children })));
    };
    Typography.H5 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-4xl ".concat(classes), styles: styles, as: as, defaultAs: 'h5' }, { children: children })));
    };
    Typography.H6 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-3xl ".concat(classes), styles: styles, as: as, defaultAs: 'h6' }, { children: children })));
    };
    Typography.H7 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-2xl ".concat(classes), styles: styles, as: as, defaultAs: 'h6' }, { children: children })));
    };
    Typography.Body = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, href = _a.href, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-xl ".concat(classes), styles: styles, as: as, defaultAs: 'p', href: href }, { children: children })));
    };
    Typography.Body2 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, href = _a.href, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-base ".concat(classes), styles: styles, as: as, defaultAs: 'p', href: href }, { children: children })));
    };
    Typography.Title = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-base ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Caption = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-sm ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Label = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-sm uppercase ".concat(classes), styles: styles, as: as, defaultAs: 'span' }, { children: children })));
    };
    Typography.Link = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as, href = _a.href;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-base text-link-blue ".concat(classes), styles: styles, as: as, defaultAs: 'p', href: href }, { children: children })));
    };
    return Typography;
}(Component));

export { GradientText, Typography };
//# sourceMappingURL=index.js.map
