'use strict';

var jsxRuntime = require('react/jsx-runtime');
var c$1 = require('react');

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
    return extendStatics(d, b);
};

function __extends(d, b) {
    if (typeof b !== "function" && b !== null)
        throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

/**
 * Primary UI component for user interaction
 */
var Button = function (_a) {
    var _b = _a.type, type = _b === void 0 ? 'primary' : _b, _c = _a.webProperty, webProperty = _c === void 0 ? 'originprotocol' : _c, _d = _a.size, size = _d === void 0 ? 'medium' : _d, backgroundColor = _a.backgroundColor, label = _a.label, props = __rest(_a, ["type", "webProperty", "size", "backgroundColor", "label"]);
    var background;
    var textColor;
    var hoverColor;
    switch (webProperty) {
        case 'originprotocol':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-origin-protocol-button-start to-origin-protocol-button-end'
                : 'bg-white';
            textColor = type === 'primary'
                ? 'text-white'
                : 'text-black';
            hoverColor = 'hover:bg-gray-50';
            break;
        case 'ousd':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-ousd-button-start to-ousd-button-end'
                : type === 'secondary'
                    ? 'bg-gradient-to-r from-ousd-button-dark-start to-ousd-button-dark-end'
                    : '';
            textColor = 'text-white';
            hoverColor = 'hover:bg-gray-900';
            break;
        case 'story':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-story-button-start to-story-button-end'
                : 'bg-white';
            textColor = type === 'primary'
                ? 'text-white'
                : 'text-story-blue';
            hoverColor = 'hover:bg-gray-50';
            break;
    }
    var textSize;
    var padding;
    switch (size) {
        case 'small':
            textSize = 'text-base';
            padding = 'px-7 py-1';
            break;
        case 'medium':
            textSize = 'text-base';
            padding = 'px-6 py-1';
            break;
        case 'large':
            textSize = 'text-2xl';
            padding = 'py-6 px-12';
            break;
    }
    var fontWeight;
    var shadow;
    var rounding;
    switch (type) {
        case 'header':
            fontWeight = 'font-normal';
            shadow = '';
            rounding = '';
            padding = 'px-4 py-1';
            break;
        default:
            fontWeight = 'font-medium';
            shadow = 'shahdow';
            rounding = 'rounded-full';
            break;
    }
    return (jsxRuntime.jsx("button", __assign({ type: "button", className: "\n        ".concat(background, "\n        ").concat(backgroundColor, "\n        ").concat(textColor, "\n        ").concat(textSize, " \n        ").concat(padding, "\n        ").concat(fontWeight, "\n        ").concat(shadow, "\n        ").concat(rounding, "\n        ").concat(hoverColor, "\n        leading-7\n        font-sans\n        animate-gradient\n        background-gradient-oversized\n      "), style: { backgroundColor: backgroundColor } }, props, { children: label })));
};

var GenericTypography = function (_a) {
    var children = _a.children, classes = _a.classes, styles = _a.styles, defaultAs = _a.defaultAs, as = _a.as, href = _a.href;
    var Tag = "".concat(as || defaultAs || 'span');
    if (href) {
        return (jsxRuntime.jsx("a", __assign({ href: href, target: '_blank', className: "".concat(classes), style: __assign({}, (styles || {})) }, { children: jsxRuntime.jsx(Tag, { children: children }) })));
    }
    else {
        return (jsxRuntime.jsx(Tag, __assign({ className: "".concat(classes), style: __assign({}, (styles || {})) }, { children: children })));
    }
};
var gradients = {
    'originprotocol-gradient-start': '#8C66FC',
    'originprotocol-gradient-middle': '#5C2EFF',
    'originprotocol-gradient-end': '#0274F1',
    'ousd-gradient-start': '#8C66FC',
    'ousd-gradient-middle': '#0274F1',
    'ousd-gradient-end': '#0274F1',
    'story-gradient-start': '#CB6FDE',
    'story-gradient-middle': '#5C2EFF',
    'story-gradient-end': '#0074F0',
};
var GradientText = function (_a) {
    var webProperty = _a.webProperty, text = _a.text;
    return (jsxRuntime.jsx("span", __assign({ style: {
            background: "-webkit-linear-gradient(0deg, ".concat(gradients["".concat(webProperty, "-gradient-start")], ", ").concat(gradients["".concat(webProperty, "-gradient-middle")], ", ").concat(gradients["".concat(webProperty, "-gradient-end")], ")"),
            WebkitBackgroundClip: 'text',
            WebkitTextFillColor: 'transparent',
        }, className: "font-black" }, { children: text })));
};
var Typography = /** @class */ (function (_super) {
    __extends(Typography, _super);
    function Typography() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Typography.prototype.render = function () {
        return (jsxRuntime.jsx(Typography.Body, __assign({}, this.props)));
    };
    Typography.H1 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-8xl ".concat(classes), styles: styles, as: as, defaultAs: 'h1' }, { children: children })));
    };
    Typography.H2 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-7xl ".concat(classes), styles: styles, as: as, defaultAs: 'h2' }, { children: children })));
    };
    Typography.H3 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-6xl ".concat(classes), styles: styles, as: as, defaultAs: 'h3' }, { children: children })));
    };
    Typography.H4 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-5xl ".concat(classes), styles: styles, as: as, defaultAs: 'h4' }, { children: children })));
    };
    Typography.H5 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-4xl ".concat(classes), styles: styles, as: as, defaultAs: 'h5' }, { children: children })));
    };
    Typography.H6 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-3xl ".concat(classes), styles: styles, as: as, defaultAs: 'h6' }, { children: children })));
    };
    Typography.H7 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-2xl ".concat(classes), styles: styles, as: as, defaultAs: 'h6' }, { children: children })));
    };
    Typography.Body = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, href = _a.href, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-xl ".concat(classes), styles: styles, as: as, defaultAs: 'p', href: href }, { children: children })));
    };
    Typography.Body2 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, href = _a.href, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-base ".concat(classes), styles: styles, as: as, defaultAs: 'p', href: href }, { children: children })));
    };
    Typography.Title = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-base ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Caption = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-sm ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Label = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-sm uppercase ".concat(classes), styles: styles, as: as, defaultAs: 'span' }, { children: children })));
    };
    Typography.Link = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as, href = _a.href;
        return (jsxRuntime.jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-base text-link-blue ".concat(classes), styles: styles, as: as, defaultAs: 'p', href: href }, { children: children })));
    };
    return Typography;
}(c$1.Component));

var Card = function (_a) {
    var body = _a.body, imgSrc = _a.imgSrc, imgAlt = _a.imgAlt, title = _a.title, linkText = _a.linkText, linkHref = _a.linkHref, thumbnailSrc = _a.thumbnailSrc, thumbnailAlt = _a.thumbnailAlt, webProperty = _a.webProperty;
    return (jsxRuntime.jsxs("div", __assign({ className: "rounded-xl w-full shadow overflow-hidden ".concat(webProperty === 'ousd' ? 'text-white border-white border-2' : 'text-black') }, { children: [jsxRuntime.jsx("div", __assign({ className: "w-full" }, { children: jsxRuntime.jsx("img", { src: imgSrc, alt: imgAlt, className: "w-full h-auto" }) })), jsxRuntime.jsxs("div", __assign({ className: "p-6 w-full relative" }, { children: [jsxRuntime.jsxs("div", __assign({ className: "space-y-3.5" }, { children: [jsxRuntime.jsx(Typography.Title, __assign({ classes: "mt-2" }, { children: title })), jsxRuntime.jsx(Typography.Body2, { children: body }), jsxRuntime.jsxs(Typography.Link, __assign({ href: linkHref, classes: "mt-1 space-x-4 flex items-center" }, { children: [linkText, webProperty === 'story' && (jsxRuntime.jsx("svg", __assign({ width: "15", height: "15", viewBox: "0 0 15 15", fill: "none", xmlns: "http://www.w3.org/2000/svg", className: "ml-2" }, { children: jsxRuntime.jsx("path", { d: "M12.9628 14.6C13.4058 14.6 13.791 14.4363 14.1088 14.1088C14.4266 13.7814 14.6 13.4058 14.6 12.9628V7.3H12.9628V12.9628H1.6372V1.6372H7.3V0H1.6372C1.18456 0 0.79934 0.16372 0.48153 0.491161C0.16372 0.808971 0 1.1942 0 1.6372V12.9628C0 13.4058 0.16372 13.791 0.48153 14.1088C0.79934 14.4266 1.18456 14.6 1.6372 14.6H12.9628ZM5.01755 10.7285L12.9628 2.78325V5.6628H14.6V0H8.9372V1.6372H11.8168L3.8715 9.57282L5.01755 10.7285Z", fill: "#0074F0" }) })))] }))] })), thumbnailSrc && webProperty === 'story' && (jsxRuntime.jsx("div", __assign({ className: "absolute right-6 top-0 mt-0 transform -translate-y-1/2 rounded-full overflow-hidden border-4 border-white" }, { children: jsxRuntime.jsx("img", { src: thumbnailSrc, alt: thumbnailAlt, className: "w-full h-auto max-h-20 md:max-h-32" }) })))] }))] })));
};

const e$1=typeof window=="undefined"||typeof document=="undefined";

let s$3=e$1?c$1.useEffect:c$1.useLayoutEffect;

function s$2(e){let r=c$1.useRef(e);return s$3(()=>{r.current=e;},[e]),r}

function t(e){typeof queueMicrotask=="function"?queueMicrotask(e):Promise.resolve().then(e).catch(o=>setTimeout(()=>{throw o}));}

function m$2(){let n=[],i=[],r={enqueue(e){i.push(e);},addEventListener(e,t,a,o){return e.addEventListener(t,a,o),r.add(()=>e.removeEventListener(t,a,o))},requestAnimationFrame(...e){let t=requestAnimationFrame(...e);return r.add(()=>cancelAnimationFrame(t))},nextFrame(...e){return r.requestAnimationFrame(()=>r.requestAnimationFrame(...e))},setTimeout(...e){let t=setTimeout(...e);return r.add(()=>clearTimeout(t))},microTask(...e){let t$1={current:!0};return t(()=>{t$1.current&&e[0]();}),r.add(()=>{t$1.current=!1;})},add(e){return n.push(e),()=>{let t=n.indexOf(e);if(t>=0){let[a]=n.splice(t,1);a();}}},dispose(){for(let e of n.splice(0))e();},async workQueue(){for(let e of i.splice(0))await e();}};return r}

function p$2(){let[e]=c$1.useState(m$2);return c$1.useEffect(()=>()=>e.dispose(),[e]),e}

let o$2=function(t){let e=s$2(t);return c$1.useCallback((...r)=>e.current(...r),[e])};

let r$2={serverHandoffComplete:!1};function a$1(){let[e,f]=c$1.useState(r$2.serverHandoffComplete);return c$1.useEffect(()=>{e!==!0&&f(!0);},[e]),c$1.useEffect(()=>{r$2.serverHandoffComplete===!1&&(r$2.serverHandoffComplete=!0);},[]),e}

var u$2;let l$1=0;function r$1(){return ++l$1}let I$3=(u$2=c$1.useId)!=null?u$2:function(){let n=a$1(),[e,o]=c$1.useState(n?r$1:null);return s$3(()=>{e===null&&o(r$1());},[e]),e!=null?""+e:void 0};

function u$1(r,n,...a){if(r in n){let e=n[r];return typeof e=="function"?e(...a):e}let t=new Error(`Tried to handle "${r}" but there is no handler defined. Only defined handlers are: ${Object.keys(n).map(e=>`"${e}"`).join(", ")}.`);throw Error.captureStackTrace&&Error.captureStackTrace(t,u$1),t}

function e(r){return e$1?null:r instanceof Node?r.ownerDocument:r!=null&&r.hasOwnProperty("current")&&r.current instanceof Node?r.current.ownerDocument:document}

let m$1=["[contentEditable=true]","[tabindex]","a[href]","area[href]","button:not([disabled])","iframe","input:not([disabled])","select:not([disabled])","textarea:not([disabled])"].map(e=>`${e}:not([tabindex='-1'])`).join(",");var T$2=(n=>(n[n.First=1]="First",n[n.Previous=2]="Previous",n[n.Next=4]="Next",n[n.Last=8]="Last",n[n.WrapAround=16]="WrapAround",n[n.NoScroll=32]="NoScroll",n))(T$2||{}),M$1=(o=>(o[o.Error=0]="Error",o[o.Overflow=1]="Overflow",o[o.Success=2]="Success",o[o.Underflow=3]="Underflow",o))(M$1||{}),b=(r=>(r[r.Previous=-1]="Previous",r[r.Next=1]="Next",r))(b||{});function d$1(e=document.body){return e==null?[]:Array.from(e.querySelectorAll(m$1))}var N=(r=>(r[r.Strict=0]="Strict",r[r.Loose=1]="Loose",r))(N||{});function F$3(e$1,t=0){var r;return e$1===((r=e(e$1))==null?void 0:r.body)?!1:u$1(t,{[0](){return e$1.matches(m$1)},[1](){let l=e$1;for(;l!==null;){if(l.matches(m$1))return !0;l=l.parentElement;}return !1}})}function I$2(e$1){let t=e(e$1);m$2().nextFrame(()=>{t&&!F$3(t.activeElement,0)&&h(e$1);});}function h(e){e==null||e.focus({preventScroll:!0});}let w$2=["textarea","input"].join(",");function H(e){var t,r;return (r=(t=e==null?void 0:e.matches)==null?void 0:t.call(e,w$2))!=null?r:!1}function S$1(e,t=r=>r){return e.slice().sort((r,l)=>{let o=t(r),s=t(l);if(o===null||s===null)return 0;let n=o.compareDocumentPosition(s);return n&Node.DOCUMENT_POSITION_FOLLOWING?-1:n&Node.DOCUMENT_POSITION_PRECEDING?1:0})}function D$1(e,t){return O(d$1(),t,!0,e)}function O(e,t,r=!0,l=null){let o=Array.isArray(e)?e.length>0?e[0].ownerDocument:document:e.ownerDocument,s=Array.isArray(e)?r?S$1(e):e:d$1(e);l=l!=null?l:o.activeElement;let n=(()=>{if(t&5)return 1;if(t&10)return -1;throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last")})(),E=(()=>{if(t&1)return 0;if(t&2)return Math.max(0,s.indexOf(l))-1;if(t&4)return Math.max(0,s.indexOf(l))+1;if(t&8)return s.length-1;throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last")})(),x=t&32?{preventScroll:!0}:{},f=0,i=s.length,u;do{if(f>=i||f+i<=0)return 0;let a=E+f;if(t&16)a=(a+i)%i;else {if(a<0)return 3;if(a>=i)return 1}u=s[a],u==null||u.focus(x),f+=n;}while(u!==o.activeElement);return t&6&&H(u)&&u.select(),u.hasAttribute("tabindex")||u.setAttribute("tabindex","0"),2}

function d(e,r,n){let o=s$2(r);c$1.useEffect(()=>{function t(u){o.current(u);}return document.addEventListener(e,t,n),()=>document.removeEventListener(e,t,n)},[e,n]);}

function L(f,m,i=!0){let l=c$1.useRef(!1);c$1.useEffect(()=>{requestAnimationFrame(()=>{l.current=i;});},[i]);function c(t,E){if(!l.current||t.defaultPrevented)return;let s=function r(e){return typeof e=="function"?r(e()):Array.isArray(e)||e instanceof Set?e:[e]}(f),n=E(t);if(n!==null&&!!n.ownerDocument.documentElement.contains(n)){for(let r of s){if(r===null)continue;let e=r instanceof HTMLElement?r:r.current;if(e!=null&&e.contains(n))return}return !F$3(n,N.Loose)&&n.tabIndex!==-1&&t.preventDefault(),m(t,n)}}let u=c$1.useRef(null);d("mousedown",t=>{l.current&&(u.current=t.target);},!0),d("click",t=>{!u.current||(c(t,()=>u.current),u.current=null);},!0),d("blur",t=>c(t,()=>window.document.activeElement instanceof HTMLIFrameElement?window.document.activeElement:null),!0);}

function i$1(t){var n;if(t.type)return t.type;let e=(n=t.as)!=null?n:"button";if(typeof e=="string"&&e.toLowerCase()==="button")return "button"}function s$1(t,e){let[n,u]=c$1.useState(()=>i$1(t));return s$3(()=>{u(i$1(t));},[t.type,t.as]),s$3(()=>{n||!e.current||e.current instanceof HTMLButtonElement&&!e.current.hasAttribute("type")&&u("button");},[n,e]),n}

let u=Symbol();function y(...t){let n=c$1.useRef(t);c$1.useEffect(()=>{n.current=t;},[t]);let c=o$2(e=>{for(let o of n.current)o!=null&&(typeof o=="function"?o(e):o.current=e);});return t.every(e=>e==null||(e==null?void 0:e[u]))?void 0:c}

function F$2({container:e$1,accept:t,walk:r,enabled:c=!0}){let o=c$1.useRef(t),l=c$1.useRef(r);c$1.useEffect(()=>{o.current=t,l.current=r;},[t,r]),s$3(()=>{if(!e$1||!c)return;let n=e(e$1);if(!n)return;let f=o.current,p=l.current,d=Object.assign(i=>f(i),{acceptNode:f}),u=n.createTreeWalker(e$1,NodeFilter.SHOW_ELEMENT,d,!1);for(;u.nextNode();)p(u.currentNode);},[e$1,c,o,l]);}

function f$2(r){throw new Error("Unexpected object: "+r)}var a=(e=>(e[e.First=0]="First",e[e.Previous=1]="Previous",e[e.Next=2]="Next",e[e.Last=3]="Last",e[e.Specific=4]="Specific",e[e.Nothing=5]="Nothing",e))(a||{});function x$1(r,n){let t=n.resolveItems();if(t.length<=0)return null;let l=n.resolveActiveIndex(),s=l!=null?l:-1,d=(()=>{switch(r.focus){case 0:return t.findIndex(e=>!n.resolveDisabled(e));case 1:{let e=t.slice().reverse().findIndex((i,c,u)=>s!==-1&&u.length-c-1>=s?!1:!n.resolveDisabled(i));return e===-1?e:t.length-1-e}case 2:return t.findIndex((e,i)=>i<=s?!1:!n.resolveDisabled(e));case 3:{let e=t.slice().reverse().findIndex(i=>!n.resolveDisabled(i));return e===-1?e:t.length-1-e}case 4:return t.findIndex(e=>n.resolveId(e)===r.id);case 5:return null;default:f$2(r);}})();return d===-1?l:d}

var S=(a=>(a[a.None=0]="None",a[a.RenderStrategy=1]="RenderStrategy",a[a.Static=2]="Static",a))(S||{}),j=(e=>(e[e.Unmount=0]="Unmount",e[e.Hidden=1]="Hidden",e))(j||{});function $({ourProps:r,theirProps:t,slot:e,defaultTag:a,features:o,visible:n=!0,name:l}){let s=T$1(t,r);if(n)return p$1(s,e,a,l);let u=o!=null?o:0;if(u&2){let{static:i=!1,...d}=s;if(i)return p$1(d,e,a,l)}if(u&1){let{unmount:i=!0,...d}=s;return u$1(i?0:1,{[0](){return null},[1](){return p$1({...d,hidden:!0,style:{display:"none"}},e,a,l)}})}return p$1(s,e,a,l)}function p$1(r,t={},e,a){let{as:o=e,children:n,refName:l="ref",...s}=m(r,["unmount","static"]),u=r.ref!==void 0?{[l]:r.ref}:{},i=typeof n=="function"?n(t):n;s.className&&typeof s.className=="function"&&(s.className=s.className(t));let d={};if(t){let f=!1,y=[];for(let[h,g]of Object.entries(t))typeof g=="boolean"&&(f=!0),g===!0&&y.push(h);f&&(d["data-headlessui-state"]=y.join(" "));}if(o===c$1.Fragment&&Object.keys(F$1(s)).length>0){if(!c$1.isValidElement(i)||Array.isArray(i)&&i.length>1)throw new Error(['Passing props on "Fragment"!',"",`The current component <${a} /> is rendering a "Fragment".`,"However we need to passthrough the following props:",Object.keys(s).map(f=>`  - ${f}`).join(`
`),"","You can apply a few solutions:",['Add an `as="..."` prop, to ensure that we render an actual element instead of a "Fragment".',"Render a single element as the child so that we can forward the props onto that element."].map(f=>`  - ${f}`).join(`
`)].join(`
`));return c$1.cloneElement(i,Object.assign({},T$1(i.props,F$1(m(s,["ref"]))),d,u,w$1(i.ref,u.ref)))}return c$1.createElement(o,Object.assign({},m(s,["ref"]),o!==c$1.Fragment&&u,o!==c$1.Fragment&&d),i)}function w$1(...r){return {ref:r.every(t=>t==null)?void 0:t=>{for(let e of r)e!=null&&(typeof e=="function"?e(t):e.current=t);}}}function T$1(...r){if(r.length===0)return {};if(r.length===1)return r[0];let t={},e={};for(let o of r)for(let n in o)n.startsWith("on")&&typeof o[n]=="function"?((e[n])!=null||(e[n]=[]),e[n].push(o[n])):t[n]=o[n];if(t.disabled||t["aria-disabled"])return Object.assign(t,Object.fromEntries(Object.keys(e).map(o=>[o,void 0])));for(let o in e)Object.assign(t,{[o](n,...l){let s=e[o];for(let u of s){if((n instanceof Event||(n==null?void 0:n.nativeEvent)instanceof Event)&&n.defaultPrevented)return;u(n,...l);}}});return t}function C$2(r){var t;return Object.assign(c$1.forwardRef(r),{displayName:(t=r.displayName)!=null?t:r.name})}function F$1(r){let t=Object.assign({},r);for(let e in t)t[e]===void 0&&delete t[e];return t}function m(r,t=[]){let e=Object.assign({},r);for(let a of t)a in e&&delete e[a];return e}

function r(n){let e=n.parentElement,l=null;for(;e&&!(e instanceof HTMLFieldSetElement);)e instanceof HTMLLegendElement&&(l=e),e=e.parentElement;let t=(e==null?void 0:e.getAttribute("disabled"))==="";return t&&i(l)?!1:t}function i(n){if(!n)return !1;let e=n.previousElementSibling;for(;e!==null;){if(e instanceof HTMLLegendElement)return !1;e=e.previousElementSibling;}return !0}

let o$1=c$1.createContext(null);o$1.displayName="OpenClosedContext";var p=(e=>(e[e.Open=0]="Open",e[e.Closed=1]="Closed",e))(p||{});function s(){return c$1.useContext(o$1)}function C$1({value:t,children:n}){return c$1.createElement(o$1.Provider,{value:t},n)}

var o=(r=>(r.Space=" ",r.Enter="Enter",r.Escape="Escape",r.Backspace="Backspace",r.Delete="Delete",r.ArrowLeft="ArrowLeft",r.ArrowUp="ArrowUp",r.ArrowRight="ArrowRight",r.ArrowDown="ArrowDown",r.Home="Home",r.End="End",r.PageUp="PageUp",r.PageDown="PageDown",r.Tab="Tab",r))(o||{});

function f$1(){let e=c$1.useRef(!1);return s$3(()=>(e.current=!0,()=>{e.current=!1;}),[]),e}

function n(...e$1){return c$1.useMemo(()=>e(...e$1),[...e$1])}

var ue=(o=>(o[o.Open=0]="Open",o[o.Closed=1]="Closed",o))(ue||{}),se=(o=>(o[o.Pointer=0]="Pointer",o[o.Other=1]="Other",o))(se||{}),le=(a=>(a[a.OpenMenu=0]="OpenMenu",a[a.CloseMenu=1]="CloseMenu",a[a.GoToItem=2]="GoToItem",a[a.Search=3]="Search",a[a.ClearSearch=4]="ClearSearch",a[a.RegisterItem=5]="RegisterItem",a[a.UnregisterItem=6]="UnregisterItem",a))(le||{});function k(t,i=o=>o){let o=t.activeItemIndex!==null?t.items[t.activeItemIndex]:null,e=S$1(i(t.items.slice()),u=>u.dataRef.current.domRef.current),n=o?e.indexOf(o):null;return n===-1&&(n=null),{items:e,activeItemIndex:n}}let ce={[1](t){return t.menuState===1?t:{...t,activeItemIndex:null,menuState:1}},[0](t){return t.menuState===0?t:{...t,menuState:0}},[2]:(t,i)=>{var n;let o=k(t),e=x$1(i,{resolveItems:()=>o.items,resolveActiveIndex:()=>o.activeItemIndex,resolveId:u=>u.id,resolveDisabled:u=>u.dataRef.current.disabled});return {...t,...o,searchQuery:"",activeItemIndex:e,activationTrigger:(n=i.trigger)!=null?n:1}},[3]:(t,i)=>{let e=t.searchQuery!==""?0:1,n=t.searchQuery+i.value.toLowerCase(),s=(t.activeItemIndex!==null?t.items.slice(t.activeItemIndex+e).concat(t.items.slice(0,t.activeItemIndex+e)):t.items).find(c=>{var p;return ((p=c.dataRef.current.textValue)==null?void 0:p.startsWith(n))&&!c.dataRef.current.disabled}),a=s?t.items.indexOf(s):-1;return a===-1||a===t.activeItemIndex?{...t,searchQuery:n}:{...t,searchQuery:n,activeItemIndex:a,activationTrigger:1}},[4](t){return t.searchQuery===""?t:{...t,searchQuery:"",searchActiveItemIndex:null}},[5]:(t,i)=>{let o=k(t,e=>[...e,{id:i.id,dataRef:i.dataRef}]);return {...t,...o}},[6]:(t,i)=>{let o=k(t,e=>{let n=e.findIndex(u=>u.id===i.id);return n!==-1&&e.splice(n,1),e});return {...t,...o,activationTrigger:1}}},w=c$1.createContext(null);w.displayName="MenuContext";function D(t){let i=c$1.useContext(w);if(i===null){let o=new Error(`<${t} /> is missing a parent <Menu /> component.`);throw Error.captureStackTrace&&Error.captureStackTrace(o,D),o}return i}function pe(t,i){return u$1(i.type,ce,t,i)}let me=c$1.Fragment,de=C$2(function(i,o){let e=c$1.useReducer(pe,{menuState:1,buttonRef:c$1.createRef(),itemsRef:c$1.createRef(),items:[],searchQuery:"",activeItemIndex:null,activationTrigger:1}),[{menuState:n,itemsRef:u,buttonRef:s},a]=e,c=y(o);L([s,u],(M,R)=>{var f;a({type:1}),F$3(R,N.Loose)||(M.preventDefault(),(f=s.current)==null||f.focus());},n===0);let p$1=c$1.useMemo(()=>({open:n===0}),[n]),g=i,d={ref:c};return c$1.createElement(w.Provider,{value:e},c$1.createElement(C$1,{value:u$1(n,{[0]:p.Open,[1]:p.Closed})},$({ourProps:d,theirProps:g,slot:p$1,defaultTag:me,name:"Menu"})))}),fe="button",Te=C$2(function(i,o$1){var f;let[e,n]=D("Menu.Button"),u=y(e.buttonRef,o$1),s=`headlessui-menu-button-${I$3()}`,a$1=p$2(),c=o$2(l=>{switch(l.key){case o.Space:case o.Enter:case o.ArrowDown:l.preventDefault(),l.stopPropagation(),n({type:0}),a$1.nextFrame(()=>n({type:2,focus:a.First}));break;case o.ArrowUp:l.preventDefault(),l.stopPropagation(),n({type:0}),a$1.nextFrame(()=>n({type:2,focus:a.Last}));break}}),p=o$2(l=>{switch(l.key){case o.Space:l.preventDefault();break}}),g=o$2(l=>{if(r(l.currentTarget))return l.preventDefault();i.disabled||(e.menuState===0?(n({type:1}),a$1.nextFrame(()=>{var b;return (b=e.buttonRef.current)==null?void 0:b.focus({preventScroll:!0})})):(l.preventDefault(),n({type:0})));}),d=c$1.useMemo(()=>({open:e.menuState===0}),[e]),M=i,R={ref:u,id:s,type:s$1(i,e.buttonRef),"aria-haspopup":!0,"aria-controls":(f=e.itemsRef.current)==null?void 0:f.id,"aria-expanded":i.disabled?void 0:e.menuState===0,onKeyDown:c,onKeyUp:p,onClick:g};return $({ourProps:R,theirProps:M,slot:d,defaultTag:fe,name:"Menu.Button"})}),ye="div",Ie=S.RenderStrategy|S.Static,ge$1=C$2(function(i,o$1){var b,C;let[e,n$1]=D("Menu.Items"),u=y(e.itemsRef,o$1),s$1=n(e.itemsRef),a$1=`headlessui-menu-items-${I$3()}`,c=p$2(),p$1=s(),g=(()=>p$1!==null?p$1===p.Open:e.menuState===0)();c$1.useEffect(()=>{let r=e.itemsRef.current;!r||e.menuState===0&&r!==(s$1==null?void 0:s$1.activeElement)&&r.focus({preventScroll:!0});},[e.menuState,e.itemsRef,s$1]),F$2({container:e.itemsRef.current,enabled:e.menuState===0,accept(r){return r.getAttribute("role")==="menuitem"?NodeFilter.FILTER_REJECT:r.hasAttribute("role")?NodeFilter.FILTER_SKIP:NodeFilter.FILTER_ACCEPT},walk(r){r.setAttribute("role","none");}});let d=o$2(r=>{var T,A;switch(c.dispose(),r.key){case o.Space:if(e.searchQuery!=="")return r.preventDefault(),r.stopPropagation(),n$1({type:3,value:r.key});case o.Enter:if(r.preventDefault(),r.stopPropagation(),n$1({type:1}),e.activeItemIndex!==null){let{dataRef:v}=e.items[e.activeItemIndex];(A=(T=v.current)==null?void 0:T.domRef.current)==null||A.click();}I$2(e.buttonRef.current);break;case o.ArrowDown:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Next});case o.ArrowUp:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Previous});case o.Home:case o.PageUp:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.First});case o.End:case o.PageDown:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Last});case o.Escape:r.preventDefault(),r.stopPropagation(),n$1({type:1}),m$2().nextFrame(()=>{var v;return (v=e.buttonRef.current)==null?void 0:v.focus({preventScroll:!0})});break;case o.Tab:r.preventDefault(),r.stopPropagation(),n$1({type:1}),m$2().nextFrame(()=>{D$1(e.buttonRef.current,r.shiftKey?T$2.Previous:T$2.Next);});break;default:r.key.length===1&&(n$1({type:3,value:r.key}),c.setTimeout(()=>n$1({type:4}),350));break}}),M=o$2(r=>{switch(r.key){case o.Space:r.preventDefault();break}}),R=c$1.useMemo(()=>({open:e.menuState===0}),[e]),f=i,l={"aria-activedescendant":e.activeItemIndex===null||(b=e.items[e.activeItemIndex])==null?void 0:b.id,"aria-labelledby":(C=e.buttonRef.current)==null?void 0:C.id,id:a$1,onKeyDown:d,onKeyUp:M,role:"menu",tabIndex:0,ref:u};return $({ourProps:l,theirProps:f,slot:R,defaultTag:ye,features:Ie,visible:g,name:"Menu.Items"})}),Me=c$1.Fragment,Re=C$2(function(i,o){let{disabled:e=!1,...n}=i,[u,s]=D("Menu.Item"),a$1=`headlessui-menu-item-${I$3()}`,c=u.activeItemIndex!==null?u.items[u.activeItemIndex].id===a$1:!1,p=c$1.useRef(null),g=y(o,p);s$3(()=>{if(u.menuState!==0||!c||u.activationTrigger===0)return;let r=m$2();return r.requestAnimationFrame(()=>{var T,A;(A=(T=p.current)==null?void 0:T.scrollIntoView)==null||A.call(T,{block:"nearest"});}),r.dispose},[p,c,u.menuState,u.activationTrigger,u.activeItemIndex]);let d=c$1.useRef({disabled:e,domRef:p});s$3(()=>{d.current.disabled=e;},[d,e]),s$3(()=>{var r,T;d.current.textValue=(T=(r=p.current)==null?void 0:r.textContent)==null?void 0:T.toLowerCase();},[d,p]),s$3(()=>(s({type:5,id:a$1,dataRef:d}),()=>s({type:6,id:a$1})),[d,a$1]);let M=o$2(r=>{if(e)return r.preventDefault();s({type:1}),I$2(u.buttonRef.current);}),R=o$2(()=>{if(e)return s({type:2,focus:a.Nothing});s({type:2,focus:a.Specific,id:a$1});}),f=o$2(()=>{e||c||s({type:2,focus:a.Specific,id:a$1,trigger:0});}),l=o$2(()=>{e||!c||s({type:2,focus:a.Nothing});}),b=c$1.useMemo(()=>({active:c,disabled:e}),[c,e]);return $({ourProps:{id:a$1,ref:g,role:"menuitem",tabIndex:e===!0?void 0:-1,"aria-disabled":e===!0?!0:void 0,disabled:void 0,onClick:M,onFocus:R,onPointerMove:f,onMouseMove:f,onPointerLeave:l,onMouseLeave:l},theirProps:n,slot:b,defaultTag:Me,name:"Menu.Item"})}),qe=Object.assign(de,{Button:Te,Items:ge$1,Item:Re});

function l(r){let e={called:!1};return (...t)=>{if(!e.called)return e.called=!0,r(...t)}}

function f(t,...e){t&&e.length>0&&t.classList.add(...e);}function v(t,...e){t&&e.length>0&&t.classList.remove(...e);}var T=(n=>(n.Ended="ended",n.Cancelled="cancelled",n))(T||{});function c(t,e){let n=m$2();if(!t)return n.dispose;let{transitionDuration:d,transitionDelay:o}=getComputedStyle(t),[s,u]=[d,o].map(i=>{let[a=0]=i.split(",").filter(Boolean).map(r=>r.includes("ms")?parseFloat(r):parseFloat(r)*1e3).sort((r,l)=>l-r);return a});if(s+u!==0){let i=[];i.push(n.addEventListener(t,"transitionrun",a=>{a.target===a.currentTarget&&(i.splice(0).forEach(r=>r()),i.push(n.addEventListener(t,"transitionend",r=>{r.target===r.currentTarget&&(e("ended"),i.splice(0).forEach(l=>l()));}),n.addEventListener(t,"transitioncancel",r=>{r.target===r.currentTarget&&(e("cancelled"),i.splice(0).forEach(l=>l()));})));}));}else e("ended");return n.add(()=>e("cancelled")),n.dispose}function C(t,e,n,d){let o=n?"enter":"leave",s=m$2(),u=d!==void 0?l(d):()=>{};o==="enter"&&(t.removeAttribute("hidden"),t.style.display="");let m=u$1(o,{enter:()=>e.enter,leave:()=>e.leave}),i=u$1(o,{enter:()=>e.enterTo,leave:()=>e.leaveTo}),a=u$1(o,{enter:()=>e.enterFrom,leave:()=>e.leaveFrom});return v(t,...e.enter,...e.enterTo,...e.enterFrom,...e.leave,...e.leaveFrom,...e.leaveTo,...e.entered),f(t,...m,...a),s.nextFrame(()=>{v(t,...a),f(t,...i),c(t,r=>(r==="ended"&&(v(t,...m),f(t,...e.entered)),u(r)));}),s.dispose}

function I$1({container:o,direction:t,classes:s,onStart:a,onStop:u}){let c=f$1(),d=p$2(),r=s$2(t);s$3(()=>{let e=m$2();d.add(e.dispose);let n=o.current;if(!!n&&r.current!=="idle"&&!!c.current)return e.dispose(),a.current(r.current),e.add(C(n,s.current,r.current==="enter",l=>{e.dispose(),u$1(l,{[T.Ended](){u.current(r.current);},[T.Cancelled]:()=>{}});})),e.dispose},[t]);}

function x(r=""){return r.split(" ").filter(e=>e.trim().length>1)}let F=c$1.createContext(null);F.displayName="TransitionContext";var ve=(s=>(s.Visible="visible",s.Hidden="hidden",s))(ve||{});function Ce(){let r=c$1.useContext(F);if(r===null)throw new Error("A <Transition.Child /> is used but it is missing a parent <Transition /> or <Transition.Root />.");return r}function ge(){let r=c$1.useContext(M);if(r===null)throw new Error("A <Transition.Child /> is used but it is missing a parent <Transition /> or <Transition.Root />.");return r}let M=c$1.createContext(null);M.displayName="NestingContext";function I(r){return "children"in r?I(r.children):r.current.filter(({el:e})=>e.current!==null).filter(({state:e})=>e==="visible").length>0}function ee(r,e){let s=s$2(r),n=c$1.useRef([]),m=f$1(),D=p$2(),b=o$2((l,i=j.Hidden)=>{let t=n.current.findIndex(({el:o})=>o===l);t!==-1&&(u$1(i,{[j.Unmount](){n.current.splice(t,1);},[j.Hidden](){n.current[t].state="hidden";}}),D.microTask(()=>{var o;!I(n)&&m.current&&((o=s.current)==null||o.call(s));}));}),E=o$2(l=>{let i=n.current.find(({el:t})=>t===l);return i?i.state!=="visible"&&(i.state="visible"):n.current.push({el:l,state:"visible"}),()=>b(l,j.Unmount)}),S=c$1.useRef([]),u=c$1.useRef(Promise.resolve()),p=c$1.useRef({enter:[],leave:[],idle:[]}),d=o$2((l,i,t)=>{S.current.splice(0),e&&(e.chains.current[i]=e.chains.current[i].filter(([o])=>o!==l)),e==null||e.chains.current[i].push([l,new Promise(o=>{S.current.push(o);})]),e==null||e.chains.current[i].push([l,new Promise(o=>{Promise.all(p.current[i].map(([f,a])=>a)).then(()=>o());})]),i==="enter"?u.current=u.current.then(()=>e==null?void 0:e.wait.current).then(()=>t(i)):t(i);}),h=o$2((l,i,t)=>{Promise.all(p.current[i].splice(0).map(([o,f])=>f)).then(()=>{var o;(o=S.current.shift())==null||o();}).then(()=>t(i));});return c$1.useMemo(()=>({children:n,register:E,unregister:b,onStart:d,onStop:h,wait:u,chains:p}),[E,b,n,d,h,p,u])}function be(){}let Ee=["beforeEnter","afterEnter","beforeLeave","afterLeave"];function te(r){var s;let e={};for(let n of Ee)e[n]=(s=r[n])!=null?s:be;return e}function Se(r){let e=c$1.useRef(te(r));return c$1.useEffect(()=>{e.current=te(r);},[r]),e}let xe="div",ne=S.RenderStrategy,re=C$2(function(e,s){let{beforeEnter:n,afterEnter:m,beforeLeave:D,afterLeave:b,enter:E,enterFrom:S,enterTo:u,entered:p$1,leave:d,leaveFrom:h,leaveTo:l,...i}=e,t=c$1.useRef(null),o=y(t,s),f=i.unmount?j.Unmount:j.Hidden,{show:a,appear:P,initial:ie}=Ce(),[v,_]=c$1.useState(a?"visible":"hidden"),z=ge(),{register:N,unregister:V}=z,j$1=c$1.useRef(null);c$1.useEffect(()=>N(t),[N,t]),c$1.useEffect(()=>{if(f===j.Hidden&&!!t.current){if(a&&v!=="visible"){_("visible");return}return u$1(v,{["hidden"]:()=>V(t),["visible"]:()=>N(t)})}},[v,t,N,V,a,f]);let oe=s$2({enter:x(E),enterFrom:x(S),enterTo:x(u),entered:x(p$1),leave:x(d),leaveFrom:x(h),leaveTo:x(l)}),L=Se({beforeEnter:n,afterEnter:m,beforeLeave:D,afterLeave:b}),U=a$1();c$1.useEffect(()=>{if(U&&v==="visible"&&t.current===null)throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?")},[t,v,U]);let k=ie&&!P,se=(()=>!U||k||j$1.current===a?"idle":a?"enter":"leave")(),le=o$2(C=>u$1(C,{enter:()=>L.current.beforeEnter(),leave:()=>L.current.beforeLeave(),idle:()=>{}})),ae=o$2(C=>u$1(C,{enter:()=>L.current.afterEnter(),leave:()=>L.current.afterLeave(),idle:()=>{}})),w=ee(()=>{_("hidden"),V(t);},z);I$1({container:t,classes:oe,direction:se,onStart:s$2(C=>{w.onStart(t,C,le);}),onStop:s$2(C=>{w.onStop(t,C,ae),C==="leave"&&!I(w)&&(_("hidden"),V(t));})}),c$1.useEffect(()=>{!k||(f===j.Hidden?j$1.current=null:j$1.current=a);},[a,k,v]);let ue=i,de={ref:o};return c$1.createElement(M.Provider,{value:w},c$1.createElement(C$1,{value:u$1(v,{["visible"]:p.Open,["hidden"]:p.Closed})},$({ourProps:de,theirProps:ue,defaultTag:xe,features:ne,visible:v==="visible",name:"Transition.Child"})))}),q=C$2(function(e,s$1){let{show:n,appear:m=!1,unmount:D,...b}=e,E=c$1.useRef(null),S=y(E,s$1);a$1();let u=s();if(n===void 0&&u!==null&&(n=u$1(u,{[p.Open]:!0,[p.Closed]:!1})),![!0,!1].includes(n))throw new Error("A <Transition /> is used but it is missing a `show={true | false}` prop.");let[p$1,d]=c$1.useState(n?"visible":"hidden"),h=ee(()=>{d("hidden");}),[l,i]=c$1.useState(!0),t=c$1.useRef([n]);s$3(()=>{l!==!1&&t.current[t.current.length-1]!==n&&(t.current.push(n),i(!1));},[t,n]);let o=c$1.useMemo(()=>({show:n,appear:m,initial:l}),[n,m,l]);c$1.useEffect(()=>{if(n)d("visible");else if(!I(h))d("hidden");else {let a=E.current;if(!a)return;let P=a.getBoundingClientRect();P.x===0&&P.y===0&&P.width===0&&P.height===0&&d("hidden");}},[n,h]);let f={unmount:D};return c$1.createElement(M.Provider,{value:h},c$1.createElement(F.Provider,{value:o},$({ourProps:{...f,as:c$1.Fragment,children:c$1.createElement(re,{ref:S,...f,...b})},theirProps:{},defaultTag:c$1.Fragment,features:ne,visible:p$1==="visible",name:"Transition"})))}),Pe=C$2(function(e,s$1){let n=c$1.useContext(F)!==null,m=s()!==null;return c$1.createElement(c$1.Fragment,null,!n&&m?c$1.createElement(q,{ref:s$1,...e}):c$1.createElement(re,{ref:s$1,...e}))}),We=Object.assign(q,{Child:Pe,Root:q});

var OriginLogo = function (_a) {
    var webProperty = _a.webProperty, _b = _a.height, height = _b === void 0 ? 24 : _b, _c = _a.theme, theme = _c === void 0 ? 'light' : _c;
    var originColor = theme === 'light' ? '#0074F0' : '#ffffff';
    return (jsxRuntime.jsxs("svg", __assign({ width: "191", height: height, viewBox: "0 0 261 32", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, { children: [jsxRuntime.jsx("path", { fill: originColor, d: "M74.2644 10.2145C74.5185 10.2147 74.7701 10.2656 75.0044 10.3643C75.2393 10.4633 75.452 10.6084 75.63 10.791C75.9947 11.1609 76.199 11.6596 76.1986 12.1791V23.5521H71.4048V21.0999C70.241 22.8245 67.5146 23.8372 65.3616 23.7952C63.8414 23.813 62.3345 23.5108 60.9388 22.9083C59.5431 22.3057 58.2897 21.4162 57.2602 20.2976C55.1243 18.0226 53.9353 15.0192 53.9353 11.8987C53.9353 8.77811 55.1243 5.77478 57.2602 3.4998C58.288 2.38182 59.5394 1.49252 60.9333 0.889685C62.3271 0.286847 63.8321 -0.0160543 65.3506 0.000655569C67.592 -0.0240015 69.781 0.677806 71.5902 2.00106C72.0262 2.31938 72.4396 2.66764 72.8272 3.04332C73.4243 3.6236 73.959 4.26481 74.4226 4.95648C75.1013 5.98665 75.5869 7.13168 75.8559 8.33566H70.911L70.671 7.90879C70.208 7.08172 69.5667 6.36807 68.7937 5.81958C67.7898 5.11828 66.5906 4.75088 65.3662 4.76952C64.476 4.74804 63.5917 4.91916 62.7738 5.27118C61.9536 5.62693 61.2186 6.15324 60.6176 6.81511C59.3864 8.23233 58.7072 10.0457 58.7043 11.923C58.7015 13.8003 59.3752 15.6158 60.602 17.0368C61.2026 17.6994 61.9385 18.2253 62.7598 18.5791C63.5775 18.9318 64.4619 19.1035 65.3522 19.0824C66.8236 19.0869 68.2449 18.5483 69.3437 17.5696C70.3127 16.6972 70.9546 16.0117 71.2303 14.6095L64.5218 14.6391L64.472 10.2145H74.2644Z" }), jsxRuntime.jsx("path", { fill: originColor, d: "M22.2976 8.86453C22.4788 9.6034 22.5929 10.3571 22.6384 11.1165C22.7953 13.528 22.2418 15.9326 21.0463 18.0328C19.2161 21.1859 15.8404 23.4192 12.2127 23.7538C11.2898 23.8367 10.3601 23.7985 9.4471 23.6402C7.99544 23.3909 6.60782 22.8555 5.36488 22.0652C4.74829 21.6722 4.17451 21.2158 3.65293 20.7034C3.47395 20.5276 3.29498 20.3501 3.12067 20.1696C2.88833 19.9321 2.66958 19.6816 2.46546 19.4195C2.36586 19.2872 2.26936 19.1533 2.17599 19.0164C2.07948 18.8895 1.99062 18.757 1.90986 18.6195L14.7215 5.63984L14.5565 5.53712C14.5005 5.50288 14.4444 5.47176 14.3868 5.44063C12.5909 4.47727 10.2906 4.49751 8.48841 5.4313C7.60456 5.90328 6.83347 6.56113 6.22817 7.3596C5.62287 8.15807 5.19774 9.0782 4.98202 10.0567C4.73982 11.141 4.70288 12.2612 4.87308 13.3592C4.87665 13.377 4.87989 13.3948 4.8831 13.4125C4.8869 13.4334 4.89066 13.4541 4.89487 13.4743L1.21262 17.2282C1.18929 17.18 1.16592 17.1317 1.14415 17.0834C0.444645 15.5678 0.0575479 13.9268 0.00594244 12.2583C-0.045663 10.5898 0.239281 8.92801 0.843778 7.37202C0.946495 7.11367 1.06011 6.85844 1.17994 6.60631C2.43278 4.01505 4.68788 1.75683 7.39432 0.732775C9.67664 -0.142562 12.1848 -0.236404 14.5261 0.465944C16.8675 1.16829 18.9099 2.62718 20.3335 4.61423V4.62357C20.359 4.65893 20.3845 4.69392 20.4099 4.72887C20.4887 4.837 20.5672 4.94484 20.6448 5.06245L20.7444 5.21808L7.99972 18.2071C9.46578 19.1269 11.4081 19.337 13.0578 18.8607C13.2851 18.795 13.5085 18.7166 13.727 18.6257L13.8561 18.5713C16.0583 17.6079 17.5353 15.4726 17.8746 13.1148C17.9543 12.5629 17.9721 12.0039 17.9275 11.448C17.915 11.2955 17.8107 10.4022 17.8107 10.4022L21.5226 6.61877C21.6294 6.84703 21.7306 7.07788 21.826 7.31132C21.8208 7.31652 21.9565 7.7138 22.0223 7.90681C22.0354 7.94507 22.0458 7.97548 22.0517 7.99299C22.144 8.28039 22.226 8.5709 22.2976 8.86453Z" }), jsxRuntime.jsx("path", { fill: originColor, fillRule: "evenodd", clipRule: "evenodd", d: "M43.4755 8.06229C43.4955 9.51308 43.0884 10.9377 42.3049 12.1589C41.5186 13.3857 40.3915 14.3564 39.0617 14.9519L44.4133 23.5937H38.9538L34.1273 15.6975H30.3871V23.5937H25.4715V1.28986C25.4713 1.14762 25.4991 1.00673 25.5533 0.87524C25.6076 0.743747 25.6872 0.624228 25.7876 0.523503C25.8881 0.422778 26.0074 0.342822 26.1387 0.288199C26.27 0.233576 26.4108 0.205356 26.5531 0.205151H35.5621C36.6013 0.179057 37.635 0.364096 38.6006 0.74907C40.0583 1.33084 41.3049 2.34159 42.1754 3.64753C43.046 4.95346 43.4993 6.49299 43.4755 8.06229ZM37.7519 10.2974C38.0663 9.99726 38.3144 9.63469 38.4802 9.23297C38.6431 8.83196 38.7193 8.40104 38.7038 7.96851C38.717 7.5502 38.6475 7.1334 38.4992 6.74205C38.3509 6.3507 38.1266 5.99252 37.8394 5.68811C37.548 5.38721 37.1955 5.15228 36.8057 4.99913C36.4158 4.84599 35.9976 4.7782 35.5793 4.80034H30.3965V11.2008H35.3605C35.801 11.2175 36.2404 11.1463 36.6531 10.9913C37.0658 10.8349 37.4439 10.5991 37.766 10.2974H37.7519Z" }), jsxRuntime.jsx("path", { fill: originColor, d: "M46.2846 0.202729H51.1284V23.5937H46.2846V0.202729Z" }), jsxRuntime.jsx("path", { fill: originColor, d: "M79.3175 0.202729H84.1613V23.5937H79.3175V0.202729Z" }), jsxRuntime.jsx("path", { fill: originColor, d: "M102.886 0.207419H103.186L103.199 0.208981H107.755V20.9372C107.758 21.6339 107.494 22.3053 107.016 22.8124C106.787 23.0568 106.51 23.2521 106.203 23.3864C105.896 23.5207 105.565 23.5912 105.23 23.5937H102.798C102.319 23.5916 101.852 23.4487 101.453 23.1827C101.044 22.9132 100.719 22.5342 100.515 22.0889L92.1367 6.61888V23.5906H87.28V2.8592C87.2768 2.16248 87.5414 1.49115 88.0192 0.984045C88.4665 0.506861 89.0844 0.22599 89.738 0.202732H92.3461C92.8242 0.202054 93.2917 0.342873 93.6899 0.607452C94.0966 0.876914 94.4184 1.25621 94.6181 1.70129L102.886 16.8588V0.207419Z" }), webProperty === 'ousd' && (jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [jsxRuntime.jsx("path", { d: "M125.22 0.364846H115.955V23.6882H125.158C131.635 23.6882 136.53 19.3852 136.53 12.0265C136.53 4.66781 131.697 0.364846 125.22 0.364846ZM125.22 3.5453C129.744 3.5453 132.843 6.44512 132.843 12.0265C132.843 17.6079 129.682 20.5077 125.189 20.5077H119.612V3.5453H125.22Z", fill: "white" }), jsxRuntime.jsx("path", { d: "M146.636 7.41173C141.895 7.41173 138.332 10.6234 138.332 15.7058C138.332 20.7572 141.895 24 146.636 24C151.346 24 154.91 20.7572 154.91 15.7058C154.91 10.6234 151.346 7.41173 146.636 7.41173ZM146.636 10.4051C149.363 10.4051 151.408 12.3695 151.408 15.7058C151.408 19.011 149.363 20.9754 146.636 20.9754C143.878 20.9754 141.864 19.011 141.864 15.7058C141.864 12.3695 143.878 10.4051 146.636 10.4051Z", fill: "white" }), jsxRuntime.jsx("path", { d: "M160.977 0.134766H157.507V23.6882H160.977V0.134766Z", fill: "white" }), jsxRuntime.jsx("path", { d: "M167.804 0.134766H164.333V23.6882H167.804V0.134766Z", fill: "white" }), jsxRuntime.jsx("path", { d: "M177.487 7.41173C173.52 7.41173 171.166 10.2492 171.166 13.0555L174.667 13.1802C174.667 11.7459 175.535 10.4675 177.518 10.4675C179.47 10.4675 180.338 11.7459 180.338 13.8038V14.2715L176.557 14.4898C173.304 14.6769 170.732 15.8929 170.732 19.3228C170.732 22.3162 172.87 24 176.03 24C177.797 24 179.222 23.314 180.338 22.2538V23.6882H183.839V13.7415C183.839 9.65675 181.577 7.41173 177.487 7.41173ZM180.369 16.9843V17.5455C180.369 19.9776 178.819 21.069 176.619 21.069C175.225 21.069 174.233 20.6013 174.233 19.2605C174.233 17.8262 175.411 17.2961 177.053 17.2025L180.369 16.9843Z", fill: "white" }), jsxRuntime.jsx("path", { d: "M195.236 7.50527C192.695 7.50527 191.301 8.69014 190.712 9.93738V7.69236H187.335V23.6882H190.805V14.9887C190.805 12.6501 192.509 10.904 195.236 10.904V7.50527Z", fill: "white" })] })), webProperty === 'story' && (jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [jsxRuntime.jsx("path", { fill: "black", d: "M124.37 0C118.993 0 116.366 3.11565 116.366 6.75571C116.366 11.167 119.765 12.3392 123.907 13.3572C127.43 14.1901 129.439 14.807 129.439 17.1206C129.439 19.5268 127.492 20.5139 124.834 20.5139C121.929 20.5139 119.734 18.9407 119.58 16.4728L115.84 16.6888C115.995 21.1926 119.765 23.6912 124.834 23.6912C129.408 23.6912 133.179 21.6244 133.179 16.8738C133.179 12.8019 130.119 11.4138 125.267 10.2415C121.929 9.47033 120.136 8.94591 120.136 6.63231C120.136 4.65804 121.62 3.17734 124.432 3.17734C127.028 3.17734 128.728 4.59635 128.852 6.90995L132.591 6.69401C132.437 2.46784 129.099 0 124.37 0Z" }), jsxRuntime.jsx("path", { fill: "black", d: "M143.202 20.5139C141.78 20.5139 140.575 19.8661 140.575 17.7993L140.606 10.55H144.655V7.55775H140.637L140.668 2.19021H137.175L137.144 7.55775H134.208V10.55H137.144L137.114 18.5088C137.083 22.0872 139.246 23.6295 142.368 23.6295C143.48 23.6295 144.098 23.537 144.685 23.4445V20.3597C144.315 20.4214 143.851 20.5139 143.202 20.5139Z" }), jsxRuntime.jsx("path", { fill: "black", d: "M154.516 7.28012C149.787 7.28012 146.233 10.4575 146.233 15.4857C146.233 20.4831 149.787 23.6912 154.516 23.6912C159.213 23.6912 162.768 20.4831 162.768 15.4857C162.768 10.4575 159.213 7.28012 154.516 7.28012ZM154.516 10.2415C157.235 10.2415 159.275 12.1849 159.275 15.4857C159.275 18.7556 157.235 20.699 154.516 20.699C151.765 20.699 149.756 18.7556 149.756 15.4857C149.756 12.1849 151.765 10.2415 154.516 10.2415Z" }), jsxRuntime.jsx("path", { fill: "black", d: "M173.06 7.37267C170.526 7.37267 169.405 8.54489 168.817 9.77881V7.55775H165.449V23.3828H168.91V14.7762C168.91 12.4626 171.418 10.7351 174.138 10.7351L173.06 7.37267Z" }), jsxRuntime.jsx("path", { fill: "black", d: "M191 7.55775H187.136L182.871 18.3854L178.606 7.55775H174.743L181.017 22.2722L177.123 31.249H180.924L191 7.55775Z" })] }))] })));
};
var YouTube = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsxRuntime.jsx("svg", __assign({ width: size, height: size, viewBox: "0 0 21 21" }, { children: jsxRuntime.jsx("g", __assign({ fill: "none", fillRule: "evenodd" }, { children: jsxRuntime.jsx("g", __assign({ className: "fill-current" }, { children: jsxRuntime.jsx("path", { fill: "currentColor", d: "M13.597 1.09528C11.2254 0.933405 5.94329 0.934063 3.57498 1.09528C1.01058 1.27032 0.708536 2.81936 0.689453 6.89661C0.708536 10.9666 1.00795 12.5222 3.57498 12.6979C5.94394 12.8592 11.2254 12.8598 13.597 12.6979C16.1614 12.5229 16.4635 10.9739 16.4825 6.89661C16.4635 2.8266 16.164 1.27098 13.597 1.09528ZM6.61186 9.52879V4.26443L11.8762 6.892L6.61186 9.52879Z" }) })) })) })));
};
var Facebook = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsxRuntime.jsx("svg", __assign({ width: size, height: size, viewBox: "0 0 320 512" }, { children: jsxRuntime.jsx("path", { fill: "currentColor", d: "M279.14 288l14.22-92.66h-88.91v-60.13c0-25.35 12.42-50.06 52.24-50.06h40.42V6.26S260.43 0 225.36 0c-73.22 0-121.08 44.38-121.08 124.72v70.62H22.89V288h81.39v224h100.17V288z" }) })));
};
var Twitter = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsxRuntime.jsx("svg", __assign({ width: size, height: size, viewBox: "0 0 512 512" }, { children: jsxRuntime.jsx("path", { fill: "currentColor", d: "M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" }) })));
};
var Telegram = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsxRuntime.jsx("svg", __assign({ width: size, height: size, "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "telegram-plane", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20" }, { children: jsxRuntime.jsx("path", { fill: "currentColor", fillRule: "evenodd", clipRule: "evenodd", d: "M12.3732 13.3315C12.585 13.4815 12.8581 13.519 13.1016 13.4269C13.3451 13.3341 13.5241 13.1262 13.578 12.8741C14.1499 10.1867 15.537 3.38448 16.0576 0.939842C16.097 0.75559 16.0312 0.564099 15.8865 0.441044C15.7417 0.31799 15.541 0.282455 15.362 0.348918C12.6028 1.3702 4.10548 4.55843 0.632313 5.84359C0.411868 5.92519 0.268414 6.13708 0.275652 6.36937C0.283549 6.60232 0.440164 6.80434 0.665873 6.87212C2.22347 7.33802 4.26801 7.98619 4.26801 7.98619C4.26801 7.98619 5.22349 10.8717 5.72163 12.3392C5.78415 12.5234 5.92826 12.6682 6.11844 12.7182C6.30795 12.7675 6.51063 12.7156 6.65211 12.582C7.45229 11.8265 8.68942 10.6585 8.68942 10.6585C8.68942 10.6585 11.04 12.3819 12.3732 13.3315ZM5.12808 7.62163L6.23294 11.2659L6.47839 8.95812C6.47839 8.95812 10.7471 5.1079 13.1806 2.91332C13.2516 2.84883 13.2615 2.74091 13.2023 2.66524C13.1437 2.58956 13.0358 2.57179 12.9549 2.62312C10.1345 4.42419 5.12808 7.62163 5.12808 7.62163Z" }) })));
};
var Medium = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsxRuntime.jsx("svg", __assign({ width: size, height: size, "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "medium-letter", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20" }, { children: jsxRuntime.jsx("path", { fill: "currentColor", fillRule: "evenodd", clipRule: "evenodd", d: "M2.35522 3.18526C2.37496 2.99114 2.3006 2.79965 2.15583 2.66936L0.68181 0.892634V0.627441H5.26049L8.79945 8.38908L11.9107 0.627441H16.2755V0.892634L15.0147 2.10146C14.9061 2.18438 14.8522 2.32059 14.8745 2.45549V11.3378C14.8522 11.472 14.9061 11.6082 15.0147 11.6912L16.2459 12.9V13.1652H10.0524V12.9L11.3283 11.6615C11.4534 11.5365 11.4534 11.4997 11.4534 11.3082V4.1289L7.90715 13.1362H7.42809L3.29886 4.1289V10.1658C3.26464 10.4192 3.34887 10.6751 3.5272 10.8581L5.18613 12.8704V13.1362H0.482422V12.8704L2.14135 10.8581C2.31903 10.6745 2.39799 10.4172 2.35522 10.1658V3.18526Z" }) })));
};
var Discord = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsxRuntime.jsx("svg", __assign({ width: size, height: size, "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "Discord-chat", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 20 20" }, { children: jsxRuntime.jsx("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M12.2695 0C13.1618 0 13.8883 0.726482 13.8883 1.62669V15.7931L12.1905 14.2927L11.235 13.4083L10.2243 12.4686L10.6428 13.9295H1.68813C0.795818 13.9295 0.0693359 13.203 0.0693359 12.3028V1.62669C0.0693359 0.726482 0.795818 0 1.68813 0H12.2695V0ZM9.22143 10.3129C10.9666 10.2576 11.6378 9.11261 11.6378 9.11261C11.6378 6.56992 10.5007 4.50893 10.5007 4.50893C9.36357 3.6561 8.28174 3.67979 8.28174 3.67979L8.17119 3.80613C9.5136 4.21675 10.1374 4.80899 10.1374 4.80899C9.31619 4.35889 8.51074 4.13779 7.76057 4.05093C7.19202 3.98775 6.64716 4.00355 6.16547 4.06672L6.03123 4.08251C5.75485 4.1062 5.08364 4.20886 4.23871 4.57999C3.94654 4.71424 3.77281 4.80899 3.77281 4.80899C3.77281 4.80899 4.42823 4.18517 5.84961 3.77455L5.77064 3.67979C5.77064 3.67979 4.68881 3.6561 3.55171 4.50893C3.55171 4.50893 2.41461 6.56992 2.41461 9.11261C2.41461 9.11261 3.07792 10.2576 4.82305 10.3129C4.82305 10.3129 5.11523 9.95754 5.35212 9.65747C4.34926 9.3574 3.97023 8.72568 3.97023 8.72568L4.19133 8.85992L4.22292 8.88361L4.25385 8.90138L4.26306 8.90532L4.29399 8.92309C4.4914 9.03364 4.68881 9.12051 4.87043 9.19158C5.19419 9.31792 5.58112 9.44426 6.03123 9.53113C6.62347 9.64168 7.31836 9.68116 8.07643 9.53902C8.44757 9.47585 8.8266 9.3653 9.22143 9.19947C9.49781 9.09682 9.80577 8.94678 10.1295 8.73358C10.1295 8.73358 9.7347 9.38109 8.70026 9.67326C8.93715 9.97333 9.22143 10.3129 9.22143 10.3129ZM5.54954 6.6252C5.09943 6.6252 4.74409 7.02003 4.74409 7.50171C4.74409 7.9834 5.10733 8.37823 5.54954 8.37823C5.99964 8.37823 6.35498 7.9834 6.35498 7.50171C6.36288 7.02003 5.99964 6.6252 5.54954 6.6252ZM8.43177 6.6252C7.98167 6.6252 7.62633 7.02003 7.62633 7.50171C7.62633 7.9834 7.98957 8.37823 8.43177 8.37823C8.88188 8.37823 9.23722 7.9834 9.23722 7.50171C9.23722 7.02003 8.88188 6.6252 8.43177 6.6252Z", fill: "currentColor" }) })));
};
var DownCaret = function (_a) {
    var _b = _a.width, width = _b === void 0 ? '8' : _b, _c = _a.height, height = _c === void 0 ? '5' : _c;
    return (jsxRuntime.jsx("svg", __assign({ width: width, height: height, viewBox: "0 0 8 5", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, { children: jsxRuntime.jsx("path", { d: "M7.25 0.75L4 4.25L0.75 0.75", stroke: "#475569", strokeWidth: "1.5", strokeLinecap: "round", strokeLinejoin: "round" }) })));
};

function classNames() {
    var classes = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        classes[_i] = arguments[_i];
    }
    return classes.filter(Boolean).join(' ');
}
var SINGLE_COLUMN_OPTIONS_MAX = 8;
var Dropdown = function (_a) {
    var options = _a.options, label = _a.label, _b = _a.highlightText, highlightText = _b === void 0 ? '' : _b, _c = _a.alignRight, alignRight = _c === void 0 ? false : _c, _d = _a.bolding, bolding = _d === void 0 ? 'all' : _d, classes = _a.classes, style = _a.style;
    return (jsxRuntime.jsxs(qe, __assign({ as: "div", className: "relative inline-block text-left self-center ".concat(classes), style: style }, { children: [jsxRuntime.jsx("div", { children: jsxRuntime.jsxs(qe.Button, __assign({ type: "button", className: "\n            ".concat((highlightText === null || highlightText === void 0 ? void 0 : highlightText.length) > 0 ? 'pr-14 translate-x-6 md:translate-x-0' : '', "\n            transform inline-flex w-full justify-center align-middle px-4 py-2 text-base font-medium text-gray-700 hover:bg-gray-50 focus:outline-none focus:ring-offset-gray-100 font-sans\n            "), id: "menu-button", "aria-expanded": "true", "aria-haspopup": "true" }, { children: [label, jsxRuntime.jsx("span", __assign({ className: "self-center pl-2" }, { children: jsxRuntime.jsx(DownCaret, {}) }))] })) }), (highlightText === null || highlightText === void 0 ? void 0 : highlightText.length) > 0 && (jsxRuntime.jsx("div", __assign({ className: 'absolute -right-6 md:right-0 bottom-6 bg-gradient-to-r from-story-pink-start to-story-pink-end rounded text-white text-2xs py-0 px-1' }, { children: highlightText }))), jsxRuntime.jsx(We, __assign({ as: c$1.Fragment, enter: "transition ease-out duration-100", enterFrom: "transform opacity-0 scale-95", enterTo: "transform opacity-100 scale-100", leave: "transition ease-in duration-75", leaveFrom: "transform opacity-100 scale-100", leaveTo: "transform opacity-0 scale-95" }, { children: jsxRuntime.jsx(qe.Items, __assign({ className: "\n            ".concat(alignRight ? 'right-1/2 translate-x-1/2 md:right-0 md:mr-0' : 'left-1/2 -translate-x-1/2 md:left-0', " \n            ").concat(options.length > SINGLE_COLUMN_OPTIONS_MAX ? 'w-96 md:w-72 overflow-y-scroll md:overflow-auto' : 'w-40 md:w-36', "\n            transform md:translate-x-0 max-h-72 md:max-h-screen\n            absolute z-10 mt-2 origin-top-right rounded-md bg-white shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none"), role: "menu", "aria-orientation": "vertical", "aria-labelledby": "menu-button", tabIndex: -1 }, { children: jsxRuntime.jsx("div", __assign({ className: "py-1 flex flex-wrap", role: "none" }, { children: options.map(function (_a) {
                            var optionLabel = _a.label, href = _a.href, highlight = _a.highlight;
                            return (jsxRuntime.jsx(DropdownOption, { label: optionLabel, href: href, highlight: highlight, bold: bolding === 'all' || bolding === 'selection' && optionLabel === label, columns: options.length > SINGLE_COLUMN_OPTIONS_MAX ? 2 : 1 }, label));
                        }) })) })) }))] })));
};
var DropdownOption = function (_a) {
    var label = _a.label, href = _a.href, _b = _a.highlight, highlight = _b === void 0 ? false : _b, _c = _a.bold, bold = _c === void 0 ? false : _c, _d = _a.columns, columns = _d === void 0 ? 1 : _d;
    return (jsxRuntime.jsx(qe.Item, { children: function (_a) {
            var active = _a.active;
            return (jsxRuntime.jsx("a", __assign({ href: href, className: classNames(active ? 'bg-gray-100 text-gray-900' : 'text-gray-700', highlight ? 'text-story-pink' : 'text-gray-700', bold ? 'font-bold' : 'font-normal', columns === 1 ? 'w-full' : 'w-1/2', 'block px-4 py-2 text-base md:w-36', 'font-sans') }, { children: label })));
        } }));
};

var Footer = function () { return (jsxRuntime.jsxs("div", __assign({ className: "w-full bg-gradient-to-r from-black to-footer-end px-7 md:px-32 py-10 md:py-20 text-white" }, { children: [jsxRuntime.jsxs("div", __assign({ className: "border-b flex flex-col md:flex-row space-y-12 md:space-y-0 pb-12 md:pb-7", style: { borderBottomColor: 'rgba(255,255,25,0.2)' } }, { children: [jsxRuntime.jsxs("div", __assign({ className: "flex flex-col md:justify-between space-y-6 md:space-y-0 flex-6" }, { children: [jsxRuntime.jsx(OriginLogo, { webProperty: "originprotocol", theme: "dark" }), jsxRuntime.jsxs("div", __assign({ className: "flex space-x-4 items-center" }, { children: [jsxRuntime.jsx(Twitter, {}), jsxRuntime.jsx(Facebook, {}), jsxRuntime.jsx(YouTube, {}), jsxRuntime.jsx(Medium, {}), jsxRuntime.jsx(Telegram, {}), jsxRuntime.jsx(Discord, {})] }))] })), jsxRuntime.jsxs("div", __assign({ className: "flex flex-col flex-2 space-y-4" }, { children: [jsxRuntime.jsx(Typography.Body2, __assign({ classes: "font-bold" }, { children: "Organization" })), jsxRuntime.jsxs("div", __assign({ className: "flex flex-row md:flex-col space-x-4 md:space-x-0 md:space-y-4" }, { children: [jsxRuntime.jsx(Typography.Body2, __assign({ classes: "opacity-75", href: 'https://google.com' }, { children: "Team" })), jsxRuntime.jsx(Typography.Body2, __assign({ classes: "opacity-75", href: 'https://google.com' }, { children: "Products" })), jsxRuntime.jsxs("div", __assign({ className: "flex items-center" }, { children: [jsxRuntime.jsx(Typography.Body2, __assign({ classes: "opacity-75", href: 'https://google.com' }, { children: "Careers" })), jsxRuntime.jsx("a", __assign({ href: 'https://google.com', target: '_blank' }, { children: jsxRuntime.jsx("div", __assign({ className: "opacity-100 text-sm ml-2 bg-gray-700 py-1 px-3 rounded-xl font-medium" }, { children: "Hiring!" })) }))] }))] }))] })), jsxRuntime.jsxs("div", __assign({ className: "flex flex-col flex-2 space-y-4" }, { children: [jsxRuntime.jsx(Typography.Body2, __assign({ classes: "font-bold" }, { children: "Products" })), jsxRuntime.jsxs("div", __assign({ className: "flex flex-row md:flex-col space-x-4 md:space-x-0 md:space-y-4 opacity-75" }, { children: [jsxRuntime.jsx(Typography.Body2, { children: "Origin Story" }), jsxRuntime.jsx(Typography.Body2, { children: "Origin Dollar" })] }))] })), jsxRuntime.jsxs("div", __assign({ className: "flex flex-col flex-2 space-y-4" }, { children: [jsxRuntime.jsx(Typography.Body2, __assign({ classes: "font-bold" }, { children: "Resources" })), jsxRuntime.jsxs("div", __assign({ className: "flex flex-row md:flex-col space-x-4 md:space-x-0 md:space-y-4 opacity-75" }, { children: [jsxRuntime.jsx(Typography.Body2, { children: "Litepaper" }), jsxRuntime.jsx(Typography.Body2, { children: "Videos" }), jsxRuntime.jsx(Typography.Body2, { children: "GitHub" }), jsxRuntime.jsx(Typography.Body2, { children: "Governance" })] }))] }))] })), jsxRuntime.jsxs("div", __assign({ className: "pt-10 flex flex-col md:flex-row space-y-2 md:space-y-0 justify-between opacity-75" }, { children: [jsxRuntime.jsx(Typography.Body2, { children: "\u00A9 2022 Origin Protocol Inc. All rights reserved." }), jsxRuntime.jsxs("div", __assign({ className: "flex space-x-6" }, { children: [jsxRuntime.jsx(Typography.Body2, { children: "Privacy Policy" }), jsxRuntime.jsx(Typography.Body2, { children: "Terms of Service" })] }))] }))] }))); };

var LanguageOptions = [
    {
        label: 'Deutsch',
        href: '#'
    },
    {
        label: 'English',
        href: '#'
    },
    {
        label: 'Espańol',
        href: '#'
    },
    {
        label: 'Filipino',
        href: '#'
    },
    {
        label: 'Français',
        href: '#'
    },
    {
        label: 'Hrvatski',
        href: '#'
    },
    {
        label: 'Indonesia',
        href: '#'
    },
    {
        label: 'Indonesia',
        href: '#'
    },
    {
        label: 'Italioano',
        href: '#'
    },
    {
        label: 'Nederlands',
        href: '#'
    },
    {
        label: 'Português',
        href: '#'
    },
    {
        label: 'Tiếng việt',
        href: '#'
    },
    {
        label: 'Türkçe',
        href: '#'
    },
    {
        label: 'Ελληνικά',
        href: '#'
    },
    {
        label: 'Русский',
        href: '#'
    },
    {
        label: 'עברית',
        href: '#'
    },
    {
        label: 'العربية',
        href: '#'
    },
    {
        label: 'ไทย',
        href: '#'
    },
    {
        label: '한국어',
        href: '#'
    },
    {
        label: '日本語',
        href: '#'
    },
    {
        label: '简体中文',
        href: '#'
    },
    {
        label: '繁體中文',
        href: '#'
    },
];
var ProductsOptions = [
    {
        label: 'Collections',
        href: '#'
    },
    {
        label: 'Drops',
        href: '#'
    },
    {
        label: 'Storefront',
        href: '#'
    }
];
var OgnDropdownOptions = [
    {
        label: 'Dashboard',
        href: '#'
    },
    {
        label: 'Rewards',
        href: '#',
        highlight: true,
    }
];

var OriginProtocolNav = function (_a) {
    var language = _a.language;
    return (jsxRuntime.jsxs("div", __assign({ className: 'flex flex-col md:flex-row space-y-4 md:space-y-0' }, { children: [jsxRuntime.jsx("div", __assign({ className: 'block md:hidden self-center' }, { children: jsxRuntime.jsx(Dropdown, { label: language, options: LanguageOptions, alignRight: true, bolding: 'selection' }) })), jsxRuntime.jsx(Dropdown, { label: "Products", options: ProductsOptions }), jsxRuntime.jsx(Dropdown, { label: "Company", options: ProductsOptions }), jsxRuntime.jsx(Button, { label: 'Community', type: "header", size: "small" }), jsxRuntime.jsx("div", __assign({ className: 'hidden md:block self-center' }, { children: jsxRuntime.jsx(Dropdown, { label: language, options: LanguageOptions, alignRight: true, bolding: 'selection' }) }))] })));
};
var OusdNav = function () { return (jsxRuntime.jsxs("div", __assign({ className: 'flex flex-col md:flex-row space-y-4 md:space-y-0' }, { children: [jsxRuntime.jsx(Button, { label: 'Governance', type: "header", size: "small", webProperty: 'ousd' }), jsxRuntime.jsx(Button, { label: 'Docs', type: "header", size: "small", webProperty: 'ousd' }), jsxRuntime.jsx(Button, { label: 'FAQ', type: "header", size: "small", webProperty: 'ousd' }), jsxRuntime.jsx(Button, { label: 'OGV', type: "header", size: "small", webProperty: 'ousd' }), jsxRuntime.jsx("div", __assign({ className: 'flex flex-col md:flex-row md:space-x-5 md:pl-4 items-center justify-center space-y-4 md:space-y-0' }, { children: jsxRuntime.jsx(Button, { size: "small", label: "Get OUSD", webProperty: "ousd" }) }))] }))); };
var StoryNav = function () { return (jsxRuntime.jsxs("div", __assign({ className: 'flex flex-col md:flex-row items-center justify-center space-y-4 md:space-y-0' }, { children: [jsxRuntime.jsx(Dropdown, { label: "Products", options: ProductsOptions }), jsxRuntime.jsx(Dropdown, { label: "Drops", options: ProductsOptions }), jsxRuntime.jsx(Button, { label: 'Docs', type: "header", size: "small" }), jsxRuntime.jsx(Dropdown, { label: "OGN", highlightText: "Rewards", options: OgnDropdownOptions }), jsxRuntime.jsxs("div", __assign({ className: 'flex flex-col md:flex-row md:space-x-5 md:pl-4 items-center justify-center space-y-4 md:space-y-0' }, { children: [jsxRuntime.jsx(Button, { size: "small", label: "Buy Ogn", webProperty: "story" }), jsxRuntime.jsx(Button, { size: "small", label: "Connect Wallet", webProperty: "story" })] }))] }))); };
var Hamburger = function (_a) {
    var setOpen = _a.setOpen, open = _a.open;
    return (jsxRuntime.jsxs("div", __assign({ className: "space-y-2 cursor-pointer", onClick: function () { return setOpen(!open); } }, { children: [jsxRuntime.jsx("span", { className: "block w-8 h-0.5 bg-gray-600 transform transition-transform ".concat(open ? 'rotate-45 translate-y-1.5' : '') }), jsxRuntime.jsx("span", { className: "block w-8 h-0.5 bg-gray-600 transform transition-transform ".concat(open ? '-rotate-45 -translate-y-1' : '') })] })));
};
var Header = function (_a) {
    var webProperty = _a.webProperty, language = _a.language;
    var _b = c$1.useState(false), open = _b[0], setOpen = _b[1];
    return (jsxRuntime.jsx("header", { children: jsxRuntime.jsxs("div", __assign({ className: "px-9 py-16 w-full flex justify-between items-center" }, { children: [jsxRuntime.jsx("div", __assign({ className: "flex h-6" }, { children: jsxRuntime.jsx(OriginLogo, { webProperty: webProperty }) })), jsxRuntime.jsxs("div", __assign({ className: "hidden md:block" }, { children: [webProperty === 'originprotocol' && (jsxRuntime.jsx(OriginProtocolNav, { language: language || 'English' })), webProperty === 'ousd' && (jsxRuntime.jsx(OusdNav, {})), webProperty === 'story' && (jsxRuntime.jsx(StoryNav, {}))] })), jsxRuntime.jsx("div", __assign({ className: "block md:hidden" }, { children: jsxRuntime.jsx(Hamburger, { open: open, setOpen: setOpen }) })), jsxRuntime.jsx("div", __assign({ className: "\n            ".concat(open ? 'translate-y-0' : 'translate-y-full', " \n            ").concat(webProperty === 'ousd' ? 'bg-black' : 'bg-white', " \n            transform md:hidden fixed top-0 bottom-0 right-0 left-0 transition-transform shadow\n          ") }, { children: jsxRuntime.jsx("div", __assign({ className: 'relative h-full' }, { children: jsxRuntime.jsxs("div", __assign({ className: 'flex flex-col justify-center align-middle h-full' }, { children: [jsxRuntime.jsx("div", __assign({ className: "absolute right-8 top-16" }, { children: jsxRuntime.jsx(Hamburger, { open: open, setOpen: setOpen }) })), webProperty === 'originprotocol' && (jsxRuntime.jsx(OriginProtocolNav, { language: language || 'English' })), webProperty === 'ousd' && (jsxRuntime.jsx(OusdNav, {})), webProperty === 'story' && (jsxRuntime.jsx(StoryNav, {}))] })) })) }))] })) }));
};

exports.Button = Button;
exports.Card = Card;
exports.Dropdown = Dropdown;
exports.Footer = Footer;
exports.GradientText = GradientText;
exports.Header = Header;
exports.Typography = Typography;
//# sourceMappingURL=index.js.map
