import c, { createContext, useReducer, createRef, useMemo, useEffect, useRef, useContext, Fragment } from 'react';
import { match as u } from '../../utils/match.js';
import { forwardRefWithAs as C, Features as S, render as $ } from '../../utils/render.js';
import { disposables as m } from '../../utils/disposables.js';
import { useDisposables as p$1 } from '../../hooks/use-disposables.js';
import { useIsoMorphicEffect as s$2 } from '../../hooks/use-iso-morphic-effect.js';
import { useSyncRefs as y } from '../../hooks/use-sync-refs.js';
import { useId as I } from '../../hooks/use-id.js';
import { Keys as o$1 } from '../keyboard.js';
import { Focus as a, calculateActiveIndex as x } from '../../utils/calculate-active-index.js';
import { isDisabledReactIssue7711 as r } from '../../utils/bugs.js';
import { isFocusableElement as F$1, FocusableMode as N, focusFrom as D$1, Focus as T, restoreFocusIfNecessary as I$1, sortByDomNode as S$1 } from '../../utils/focus-management.js';
import { useOutsideClick as L } from '../../hooks/use-outside-click.js';
import { useTreeWalker as F } from '../../hooks/use-tree-walker.js';
import { OpenClosedProvider as C$1, State as p, useOpenClosed as s$1 } from '../../internal/open-closed.js';
import { useResolveButtonType as s } from '../../hooks/use-resolve-button-type.js';
import { useOwnerDocument as n } from '../../hooks/use-owner.js';
import { useEvent as o } from '../../hooks/use-event.js';

var ue=(o=>(o[o.Open=0]="Open",o[o.Closed=1]="Closed",o))(ue||{}),se=(o=>(o[o.Pointer=0]="Pointer",o[o.Other=1]="Other",o))(se||{}),le=(a=>(a[a.OpenMenu=0]="OpenMenu",a[a.CloseMenu=1]="CloseMenu",a[a.GoToItem=2]="GoToItem",a[a.Search=3]="Search",a[a.ClearSearch=4]="ClearSearch",a[a.RegisterItem=5]="RegisterItem",a[a.UnregisterItem=6]="UnregisterItem",a))(le||{});function k(t,i=o=>o){let o=t.activeItemIndex!==null?t.items[t.activeItemIndex]:null,e=S$1(i(t.items.slice()),u=>u.dataRef.current.domRef.current),n=o?e.indexOf(o):null;return n===-1&&(n=null),{items:e,activeItemIndex:n}}let ce={[1](t){return t.menuState===1?t:{...t,activeItemIndex:null,menuState:1}},[0](t){return t.menuState===0?t:{...t,menuState:0}},[2]:(t,i)=>{var n;let o=k(t),e=x(i,{resolveItems:()=>o.items,resolveActiveIndex:()=>o.activeItemIndex,resolveId:u=>u.id,resolveDisabled:u=>u.dataRef.current.disabled});return {...t,...o,searchQuery:"",activeItemIndex:e,activationTrigger:(n=i.trigger)!=null?n:1}},[3]:(t,i)=>{let e=t.searchQuery!==""?0:1,n=t.searchQuery+i.value.toLowerCase(),s=(t.activeItemIndex!==null?t.items.slice(t.activeItemIndex+e).concat(t.items.slice(0,t.activeItemIndex+e)):t.items).find(c=>{var p;return ((p=c.dataRef.current.textValue)==null?void 0:p.startsWith(n))&&!c.dataRef.current.disabled}),a=s?t.items.indexOf(s):-1;return a===-1||a===t.activeItemIndex?{...t,searchQuery:n}:{...t,searchQuery:n,activeItemIndex:a,activationTrigger:1}},[4](t){return t.searchQuery===""?t:{...t,searchQuery:"",searchActiveItemIndex:null}},[5]:(t,i)=>{let o=k(t,e=>[...e,{id:i.id,dataRef:i.dataRef}]);return {...t,...o}},[6]:(t,i)=>{let o=k(t,e=>{let n=e.findIndex(u=>u.id===i.id);return n!==-1&&e.splice(n,1),e});return {...t,...o,activationTrigger:1}}},w=createContext(null);w.displayName="MenuContext";function D(t){let i=useContext(w);if(i===null){let o=new Error(`<${t} /> is missing a parent <Menu /> component.`);throw Error.captureStackTrace&&Error.captureStackTrace(o,D),o}return i}function pe(t,i){return u(i.type,ce,t,i)}let me=Fragment,de=C(function(i,o){let e=useReducer(pe,{menuState:1,buttonRef:createRef(),itemsRef:createRef(),items:[],searchQuery:"",activeItemIndex:null,activationTrigger:1}),[{menuState:n,itemsRef:u$1,buttonRef:s},a]=e,c$1=y(o);L([s,u$1],(M,R)=>{var f;a({type:1}),F$1(R,N.Loose)||(M.preventDefault(),(f=s.current)==null||f.focus());},n===0);let p$1=useMemo(()=>({open:n===0}),[n]),g=i,d={ref:c$1};return c.createElement(w.Provider,{value:e},c.createElement(C$1,{value:u(n,{[0]:p.Open,[1]:p.Closed})},$({ourProps:d,theirProps:g,slot:p$1,defaultTag:me,name:"Menu"})))}),fe="button",Te=C(function(i,o$2){var f;let[e,n]=D("Menu.Button"),u=y(e.buttonRef,o$2),s$1=`headlessui-menu-button-${I()}`,a$1=p$1(),c=o(l=>{switch(l.key){case o$1.Space:case o$1.Enter:case o$1.ArrowDown:l.preventDefault(),l.stopPropagation(),n({type:0}),a$1.nextFrame(()=>n({type:2,focus:a.First}));break;case o$1.ArrowUp:l.preventDefault(),l.stopPropagation(),n({type:0}),a$1.nextFrame(()=>n({type:2,focus:a.Last}));break}}),p=o(l=>{switch(l.key){case o$1.Space:l.preventDefault();break}}),g=o(l=>{if(r(l.currentTarget))return l.preventDefault();i.disabled||(e.menuState===0?(n({type:1}),a$1.nextFrame(()=>{var b;return (b=e.buttonRef.current)==null?void 0:b.focus({preventScroll:!0})})):(l.preventDefault(),n({type:0})));}),d=useMemo(()=>({open:e.menuState===0}),[e]),M=i,R={ref:u,id:s$1,type:s(i,e.buttonRef),"aria-haspopup":!0,"aria-controls":(f=e.itemsRef.current)==null?void 0:f.id,"aria-expanded":i.disabled?void 0:e.menuState===0,onKeyDown:c,onKeyUp:p,onClick:g};return $({ourProps:R,theirProps:M,slot:d,defaultTag:fe,name:"Menu.Button"})}),ye="div",Ie=S.RenderStrategy|S.Static,ge=C(function(i,o$2){var b,C;let[e,n$1]=D("Menu.Items"),u=y(e.itemsRef,o$2),s=n(e.itemsRef),a$1=`headlessui-menu-items-${I()}`,c=p$1(),p$2=s$1(),g=(()=>p$2!==null?p$2===p.Open:e.menuState===0)();useEffect(()=>{let r=e.itemsRef.current;!r||e.menuState===0&&r!==(s==null?void 0:s.activeElement)&&r.focus({preventScroll:!0});},[e.menuState,e.itemsRef,s]),F({container:e.itemsRef.current,enabled:e.menuState===0,accept(r){return r.getAttribute("role")==="menuitem"?NodeFilter.FILTER_REJECT:r.hasAttribute("role")?NodeFilter.FILTER_SKIP:NodeFilter.FILTER_ACCEPT},walk(r){r.setAttribute("role","none");}});let d=o(r=>{var T$1,A;switch(c.dispose(),r.key){case o$1.Space:if(e.searchQuery!=="")return r.preventDefault(),r.stopPropagation(),n$1({type:3,value:r.key});case o$1.Enter:if(r.preventDefault(),r.stopPropagation(),n$1({type:1}),e.activeItemIndex!==null){let{dataRef:v}=e.items[e.activeItemIndex];(A=(T$1=v.current)==null?void 0:T$1.domRef.current)==null||A.click();}I$1(e.buttonRef.current);break;case o$1.ArrowDown:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Next});case o$1.ArrowUp:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Previous});case o$1.Home:case o$1.PageUp:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.First});case o$1.End:case o$1.PageDown:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Last});case o$1.Escape:r.preventDefault(),r.stopPropagation(),n$1({type:1}),m().nextFrame(()=>{var v;return (v=e.buttonRef.current)==null?void 0:v.focus({preventScroll:!0})});break;case o$1.Tab:r.preventDefault(),r.stopPropagation(),n$1({type:1}),m().nextFrame(()=>{D$1(e.buttonRef.current,r.shiftKey?T.Previous:T.Next);});break;default:r.key.length===1&&(n$1({type:3,value:r.key}),c.setTimeout(()=>n$1({type:4}),350));break}}),M=o(r=>{switch(r.key){case o$1.Space:r.preventDefault();break}}),R=useMemo(()=>({open:e.menuState===0}),[e]),f=i,l={"aria-activedescendant":e.activeItemIndex===null||(b=e.items[e.activeItemIndex])==null?void 0:b.id,"aria-labelledby":(C=e.buttonRef.current)==null?void 0:C.id,id:a$1,onKeyDown:d,onKeyUp:M,role:"menu",tabIndex:0,ref:u};return $({ourProps:l,theirProps:f,slot:R,defaultTag:ye,features:Ie,visible:g,name:"Menu.Items"})}),Me=Fragment,Re=C(function(i,o$1){let{disabled:e=!1,...n}=i,[u,s]=D("Menu.Item"),a$1=`headlessui-menu-item-${I()}`,c=u.activeItemIndex!==null?u.items[u.activeItemIndex].id===a$1:!1,p=useRef(null),g=y(o$1,p);s$2(()=>{if(u.menuState!==0||!c||u.activationTrigger===0)return;let r=m();return r.requestAnimationFrame(()=>{var T,A;(A=(T=p.current)==null?void 0:T.scrollIntoView)==null||A.call(T,{block:"nearest"});}),r.dispose},[p,c,u.menuState,u.activationTrigger,u.activeItemIndex]);let d=useRef({disabled:e,domRef:p});s$2(()=>{d.current.disabled=e;},[d,e]),s$2(()=>{var r,T;d.current.textValue=(T=(r=p.current)==null?void 0:r.textContent)==null?void 0:T.toLowerCase();},[d,p]),s$2(()=>(s({type:5,id:a$1,dataRef:d}),()=>s({type:6,id:a$1})),[d,a$1]);let M=o(r=>{if(e)return r.preventDefault();s({type:1}),I$1(u.buttonRef.current);}),R=o(()=>{if(e)return s({type:2,focus:a.Nothing});s({type:2,focus:a.Specific,id:a$1});}),f=o(()=>{e||c||s({type:2,focus:a.Specific,id:a$1,trigger:0});}),l=o(()=>{e||!c||s({type:2,focus:a.Nothing});}),b=useMemo(()=>({active:c,disabled:e}),[c,e]);return $({ourProps:{id:a$1,ref:g,role:"menuitem",tabIndex:e===!0?void 0:-1,"aria-disabled":e===!0?!0:void 0,disabled:void 0,onClick:M,onFocus:R,onPointerMove:f,onMouseMove:f,onPointerLeave:l,onMouseLeave:l},theirProps:n,slot:b,defaultTag:Me,name:"Menu.Item"})}),qe=Object.assign(de,{Button:Te,Items:ge,Item:Re});

export { qe as Menu };
//# sourceMappingURL=menu.js.map
