import c, { createContext, useRef, useState, useEffect, useMemo, Fragment, useContext } from 'react';
import { Features as S, forwardRefWithAs as C, RenderStrategy as j, render as $ } from '../../utils/render.js';
import { OpenClosedProvider as C$1, State as p, useOpenClosed as s$1 } from '../../internal/open-closed.js';
import { match as u } from '../../utils/match.js';
import { useIsMounted as f } from '../../hooks/use-is-mounted.js';
import { useIsoMorphicEffect as s$2 } from '../../hooks/use-iso-morphic-effect.js';
import { useLatestValue as s } from '../../hooks/use-latest-value.js';
import { useServerHandoffComplete as a } from '../../hooks/use-server-handoff-complete.js';
import { useSyncRefs as y } from '../../hooks/use-sync-refs.js';
import { useTransition as I$1 } from '../../hooks/use-transition.js';
import { useEvent as o } from '../../hooks/use-event.js';
import { useDisposables as p$1 } from '../../hooks/use-disposables.js';

function x(r=""){return r.split(" ").filter(e=>e.trim().length>1)}let F=createContext(null);F.displayName="TransitionContext";var ve=(s=>(s.Visible="visible",s.Hidden="hidden",s))(ve||{});function Ce(){let r=useContext(F);if(r===null)throw new Error("A <Transition.Child /> is used but it is missing a parent <Transition /> or <Transition.Root />.");return r}function ge(){let r=useContext(M);if(r===null)throw new Error("A <Transition.Child /> is used but it is missing a parent <Transition /> or <Transition.Root />.");return r}let M=createContext(null);M.displayName="NestingContext";function I(r){return "children"in r?I(r.children):r.current.filter(({el:e})=>e.current!==null).filter(({state:e})=>e==="visible").length>0}function ee(r,e){let s$1=s(r),n=useRef([]),m=f(),D=p$1(),b=o((l,i=j.Hidden)=>{let t=n.current.findIndex(({el:o})=>o===l);t!==-1&&(u(i,{[j.Unmount](){n.current.splice(t,1);},[j.Hidden](){n.current[t].state="hidden";}}),D.microTask(()=>{var o;!I(n)&&m.current&&((o=s$1.current)==null||o.call(s$1));}));}),E=o(l=>{let i=n.current.find(({el:t})=>t===l);return i?i.state!=="visible"&&(i.state="visible"):n.current.push({el:l,state:"visible"}),()=>b(l,j.Unmount)}),S=useRef([]),u$1=useRef(Promise.resolve()),p=useRef({enter:[],leave:[],idle:[]}),d=o((l,i,t)=>{S.current.splice(0),e&&(e.chains.current[i]=e.chains.current[i].filter(([o])=>o!==l)),e==null||e.chains.current[i].push([l,new Promise(o=>{S.current.push(o);})]),e==null||e.chains.current[i].push([l,new Promise(o=>{Promise.all(p.current[i].map(([f,a])=>a)).then(()=>o());})]),i==="enter"?u$1.current=u$1.current.then(()=>e==null?void 0:e.wait.current).then(()=>t(i)):t(i);}),h=o((l,i,t)=>{Promise.all(p.current[i].splice(0).map(([o,f])=>f)).then(()=>{var o;(o=S.current.shift())==null||o();}).then(()=>t(i));});return useMemo(()=>({children:n,register:E,unregister:b,onStart:d,onStop:h,wait:u$1,chains:p}),[E,b,n,d,h,p,u$1])}function be(){}let Ee=["beforeEnter","afterEnter","beforeLeave","afterLeave"];function te(r){var s;let e={};for(let n of Ee)e[n]=(s=r[n])!=null?s:be;return e}function Se(r){let e=useRef(te(r));return useEffect(()=>{e.current=te(r);},[r]),e}let xe="div",ne=S.RenderStrategy,re=C(function(e,s$1){let{beforeEnter:n,afterEnter:m,beforeLeave:D,afterLeave:b,enter:E,enterFrom:S,enterTo:u$1,entered:p$1,leave:d,leaveFrom:h,leaveTo:l,...i}=e,t=useRef(null),o$1=y(t,s$1),f=i.unmount?j.Unmount:j.Hidden,{show:a$1,appear:P,initial:ie}=Ce(),[v,_]=useState(a$1?"visible":"hidden"),z=ge(),{register:N,unregister:V}=z,j$1=useRef(null);useEffect(()=>N(t),[N,t]),useEffect(()=>{if(f===j.Hidden&&!!t.current){if(a$1&&v!=="visible"){_("visible");return}return u(v,{["hidden"]:()=>V(t),["visible"]:()=>N(t)})}},[v,t,N,V,a$1,f]);let oe=s({enter:x(E),enterFrom:x(S),enterTo:x(u$1),entered:x(p$1),leave:x(d),leaveFrom:x(h),leaveTo:x(l)}),L=Se({beforeEnter:n,afterEnter:m,beforeLeave:D,afterLeave:b}),U=a();useEffect(()=>{if(U&&v==="visible"&&t.current===null)throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?")},[t,v,U]);let k=ie&&!P,se=(()=>!U||k||j$1.current===a$1?"idle":a$1?"enter":"leave")(),le=o(C=>u(C,{enter:()=>L.current.beforeEnter(),leave:()=>L.current.beforeLeave(),idle:()=>{}})),ae=o(C=>u(C,{enter:()=>L.current.afterEnter(),leave:()=>L.current.afterLeave(),idle:()=>{}})),w=ee(()=>{_("hidden"),V(t);},z);I$1({container:t,classes:oe,direction:se,onStart:s(C=>{w.onStart(t,C,le);}),onStop:s(C=>{w.onStop(t,C,ae),C==="leave"&&!I(w)&&(_("hidden"),V(t));})}),useEffect(()=>{!k||(f===j.Hidden?j$1.current=null:j$1.current=a$1);},[a$1,k,v]);let ue=i,de={ref:o$1};return c.createElement(M.Provider,{value:w},c.createElement(C$1,{value:u(v,{["visible"]:p.Open,["hidden"]:p.Closed})},$({ourProps:de,theirProps:ue,defaultTag:xe,features:ne,visible:v==="visible",name:"Transition.Child"})))}),q=C(function(e,s){let{show:n,appear:m=!1,unmount:D,...b}=e,E=useRef(null),S=y(E,s);a();let u$1=s$1();if(n===void 0&&u$1!==null&&(n=u(u$1,{[p.Open]:!0,[p.Closed]:!1})),![!0,!1].includes(n))throw new Error("A <Transition /> is used but it is missing a `show={true | false}` prop.");let[p$1,d]=useState(n?"visible":"hidden"),h=ee(()=>{d("hidden");}),[l,i]=useState(!0),t=useRef([n]);s$2(()=>{l!==!1&&t.current[t.current.length-1]!==n&&(t.current.push(n),i(!1));},[t,n]);let o=useMemo(()=>({show:n,appear:m,initial:l}),[n,m,l]);useEffect(()=>{if(n)d("visible");else if(!I(h))d("hidden");else {let a=E.current;if(!a)return;let P=a.getBoundingClientRect();P.x===0&&P.y===0&&P.width===0&&P.height===0&&d("hidden");}},[n,h]);let f={unmount:D};return c.createElement(M.Provider,{value:h},c.createElement(F.Provider,{value:o},$({ourProps:{...f,as:Fragment,children:c.createElement(re,{ref:S,...f,...b})},theirProps:{},defaultTag:Fragment,features:ne,visible:p$1==="visible",name:"Transition"})))}),Pe=C(function(e,s){let n=useContext(F)!==null,m=s$1()!==null;return c.createElement(c.Fragment,null,!n&&m?c.createElement(q,{ref:s,...e}):c.createElement(re,{ref:s,...e}))}),We=Object.assign(q,{Child:Pe,Root:q});

export { We as Transition };
//# sourceMappingURL=transition.js.map
